
/**
 * This file is generated by Sencha Cmd and should NOT be edited.  It is
 * provided to support globbing requires, custom xtypes, and other
 * metadata-driven class system features
 */


// @tag core
// @define Ext.Boot
// @define Ext


// here, the extra check for window['Ext'] is needed for use with cmd-test
// code injection.  we need to make that this file will sync up with page global
// scope to avoid duplicate Ext.Boot state.  That check is after the initial Ext check
// to allow the sandboxing template to inject an appropriate Ext var and prevent the
// global detection.
var Ext = Ext || window['Ext'] || {};

//<editor-fold desc="Boot">
/*
 * @class Ext.Boot
 * @singleton
 */
Ext.Boot = Ext.Boot || (function (emptyFn) {

    var doc = document,
        _config = {
            /*
             * @cfg {Boolean} [disableCaching=true]
             * If `true` current timestamp is added to script URL's to prevent caching.
             * In debug builds, adding a "cache" or "disableCacheBuster" query parameter
             * to the page's URL will set this to `false`.
             */
            disableCaching:
                (/[?&](?:cache|disableCacheBuster)\b/i.test(location.search) ||
                    (location.href.substring(0,5) === 'file:') ||
                    /(^|[ ;])ext-cache=1/.test(doc.cookie)) ? false :
                    true,

            /*
             * @cfg {String} [disableCachingParam="_dc"]
             * The query parameter name for the cache buster's timestamp.
             */
            disableCachingParam: '_dc',

            /*
             * @cfg {Boolean} loadDelay
             * Millisecond delay between asynchronous script injection (prevents stack
             * overflow on some user agents) 'false' disables delay but potentially
             * increases stack load.
             */
            loadDelay: false,

            /*
             * @cfg {Boolean} preserveScripts
             * `false` to remove asynchronously loaded scripts, `true` to retain script
             * element for browser debugger compatibility and improved load performance.
             */
            preserveScripts: true,

            /*
             * @cfg {String} charset
             * Optional charset to specify encoding of dynamic content.
             */
            charset: undefined
        },

    // The request object currently being processed
        _currentRequest,

    // A queue of requests which arrived during the time that an "exclusive" load was being processed.
        _suspendedQueue = [],

    // Keyed by absolute URL this object holds "true" if that URL is already loaded
    // or an array of callbacks to call once it loads.
        _items = {
            /*
             'http://foo.com/bar/baz/Thing.js': {
             done: true,
             el: scriptEl || linkEl,
             preserve: true,
             requests: [ request1, ... ]
             }
             */
        },
        cssRe = /\.css(?:\?|$)/i,
        pathTailRe = /\/[^\/]*$/,
        resolverEl = doc.createElement('a'),
        isBrowser = typeof window !== 'undefined',
        _environment = {
            browser: isBrowser,
            node: !isBrowser && (typeof require === 'function'),
            phantom: (typeof phantom !== 'undefined' && phantom.fs)
        },
        _listeners = [],

    // track new entries as they are created, used to fire onBootReady listeners
        _entries = 0,

    // when loadSync is called, need to cause subsequent load requests to also be loadSync,
    // eg, when Ext.require(...) is called
        _syncMode = 0;

    var Boot = {
        loading: 0,

        loaded: 0,

        env: _environment,

        /*
         * Configuration
         * @private
         */
        config: _config,

        /*
         * @private
         * @property
         */
        scripts: _items,

        /*
         * contains the current script name being loaded
         * (loadSync or sequential load only)
         */
        currentFile: null,

        /*
         * This method returns a canonical URL for the given URL.
         *
         * For example, the following all produce the same canonical URL (which is the
         * last one):
         *
         *      http://foo.com/bar/baz/zoo/derp/../../goo/Thing.js?_dc=12345
         *      http://foo.com/bar/baz/zoo/derp/../../goo/Thing.js
         *      http://foo.com/bar/baz/zoo/derp/../jazz/../../goo/Thing.js
         *      http://foo.com/bar/baz/zoo/../goo/Thing.js
         *      http://foo.com/bar/baz/goo/Thing.js
         *
         * @private
         */
        canonicalUrl: function (url) {
            // @TODO - see if we need this fallback logic
            // http://stackoverflow.com/questions/470832/getting-an-absolute-url-from-a-relative-one-ie6-issue
            resolverEl.href = url;

            var ret = resolverEl.href,
                dc = _config.disableCachingParam,
                pos = dc ? ret.indexOf(dc + '=') : -1,
                c, end;

            // If we have a _dc query parameter we need to remove it from the canonical
            // URL.
            if (pos > 0 && ((c = ret.charAt(pos - 1)) === '?' || c === '&')) {
                end = ret.indexOf('&', pos);
                end = (end < 0) ? '' : ret.substring(end);
                if (end && c === '?') {
                    ++pos; // keep the '?'
                    end = end.substring(1); // remove the '&'
                }
                ret = ret.substring(0, pos - 1) + end;
            }

            return ret;
        },

        init: function () {
            var scriptEls = doc.getElementsByTagName('script'),
                len = scriptEls.length,
                re = /\/ext(\-[a-z\-]+)?\.js$/,
                entry, script, src, state, baseUrl, key, n;

            // Since we are loading after other scripts, and we needed to gather them
            // anyway, we track them in _scripts so we don't have to ask for them all
            // repeatedly.
            for(n = 0; n < len; n++) {
                src = (script = scriptEls[n]).src;
                if (!src) {
                    continue;
                }
                state = script.readyState || null;

                // If we find a script file called "ext-*.js", then the base path is that file's base path.
                if (!baseUrl) {
                    if (re.test(src)) {
                        Boot.hasAsync = ("async" in script) || !('readyState' in script);
                        baseUrl = src;
                    }
                }

                if (!_items[key = Boot.canonicalUrl(src)]) {
                    _items[key] = entry = {
                        key: key,
                        url: src,
                        done: state === null ||  // non-IE
                            state === 'loaded' || state === 'complete', // IE only
                        el: script,
                        prop: 'src'
                    };

                    if (!entry.done) { // in IE we can add onreadystatechange
                        Boot.watch(entry);
                    }
                }
            }
            if (!baseUrl) {
                script = scriptEls[scriptEls.length - 1];
                baseUrl = script.src;
                Boot.hasAsync = ("async" in script) || !('readyState' in script);
            }
            Boot.baseUrl = baseUrl.substring(0, baseUrl.lastIndexOf('/') + 1);
        },

        create: function (url, key) {
            var css = url && cssRe.test(url),
                el = doc.createElement(css ? 'link' : 'script'),
                prop;

            if (css) {
                el.rel = 'stylesheet';
                prop = 'href';
            } else {
                el.type = 'text/javascript';
                if (!url) {
                    return el;
                }
                prop = 'src';

                if(Boot.hasAsync) {
                    el.async = false;
                }
            }

            key = key || url;
            return _items[key] = {
                key: key,
                url: url,
                css: css,
                done: false,
                el: el,
                prop: prop,
                loaded: false,
                evaluated: false
            };
        },

        /*
         * Get the config value corresponding to the specified name. If no name is given, will return the config object
         * @param {String} name The config property name
         * @return {Object}
         */
        getConfig: function(name) {
            return name ? _config[name] : _config;
        },

        /*
         * Set the configuration.
         * @param {Object} config The config object to override the default values.
         * @return {Ext.Boot} this
         */
        setConfig: function (name, value) {
            if (typeof name === 'string') {
                _config[name] = value;
            } else {
                for (var s in name) {
                    Boot.setConfig(s, name[s]);
                }
            }

            return Boot;
        },

        getHead: function () {
            return Boot.docHead ||
                (Boot.docHead = doc.head ||
                    doc.getElementsByTagName('head')[0]);
        },

        inject: function (content, url, asset) {
            var head = Boot.getHead(),
                base, el, css = false, key = Boot.canonicalUrl(url),
                entry;

            if (cssRe.test(url)) {
                css = true;
                el = doc.createElement('style');
                el.type = 'text/css';
                el.textContent = content;

                if (asset) {
                    if ('id' in asset) {
                        el.id = asset.id;
                    }

                    if ('disabled' in asset) {
                        el.disabled = asset.disabled;
                    }
                }

                base = doc.createElement('base');
                base.href = key.replace(pathTailRe, '/');
                head.appendChild(base);
                head.appendChild(el);
                head.removeChild(base);
            } else {
                // Debugger friendly, file names are still shown even though they're 
                // eval'ed code. Breakpoints work on both Firebug and Chrome's Web
                // Inspector.
                if (url) {
                    content += "\n//# sourceURL=" + key;
                }
                Ext.globalEval(content);
            }

            entry = _items[key] || (_items[key] = {
                key: key,
                css: css,
                url: url,
                el: el
            });
            entry.done = true;
            return entry;
        },

        /*
         * This method loads the specified scripts or CSS files and calls either the
         * given `success` callback when all of the files have successfully loaded or the
         * `failure` callback should any fail to load.
         *
         *      Ext.Boot.load({
         *          url: 'http://foo.com/bar/Thing.js',
         *          
         *          success: function () {
         *          },
         *          
         *          failure: function () {
         *          },
         *          
         *          scope: this
         *      });
         *
         *      Ext.Boot.load({
         *          url: [
         *              'http://foo.com/bar/baz/Goo.js',
         *              'http://foo.com/bar/Thing.js'
         *          ],
         *          charset: 'utf-8',
         *          cache: false, // add "cache buster"
         *          
         *          success: function () {
         *          },
         *          
         *          failure: function () {
         *          },
         *          
         *          scope: this,
         *          prependBaseUrl: false
         *      });
         *
         * @param {Object} request The load request object. **IMPORTANT:** This object
         * should not be reused by the caller as it is used to track the given callbacks
         * until the script loads.
         *
         * @param {Boolean} [request.cache] An override for the cache busting specified by
         * for the script. Overrides the `disableCaching` value passed to `setConfig`.
         *
         * @param {String} [request.charset] The charset for the script. Overrides the
         * default `charset` passed to `setConfig`.
         *
         * @param {Boolean} [request.sync=false] Pass `true` to load scripts synchronously.
         *
         * @param {Function} request.success The function to execute once the script node
         * loads. For IE less than version 9, this function will only once the readyState
         * is `loaded` or `complete`.
         *
         * @param {Function} request.failure The function to execute if the script node
         * fails to load such as a 404 status is returned.
         *
         * @param {Object} [request.scope] The scope with which to call the `success` and
         * `failure` functions.
         *
         * @param {Object} [request.sequential] Load in strict order.
         *
         * @param {boolean} [request.prependBaseUrl] whether to prepend Ext.Boot.baseUrl
         * to the beginning of each url of the request
         *
         * @return {Ext.Boot} this
         */
        load: function (request) {
            if (request.sync || _syncMode) {
                return this.loadSync(request);
            }

            // Allow a raw array of paths to be passed.
            if (!request.url) {
                request = {
                    url: request
                };
            }

            // If there is a request in progress, we must
            // queue this new request to be fired  when the current request completes.
            if (_currentRequest) {
                _suspendedQueue.push(request);
            } else {
                Boot.expandLoadOrder(request);

                var url = request.url,
                    urls = url.charAt ? [ url ] : url,
                    length = urls.length,
                    i;

                // Start the counter here. This is reduced as we notify this fellow of script
                // loads.
                request.urls = urls;
                request.loaded = 0;
                request.loading = length;
                request.charset = request.charset || _config.charset;
                request.buster = (('cache' in request) ? !request.cache : _config.disableCaching) &&
                    (_config.disableCachingParam + '=' + (+new Date()));

                _currentRequest = request;
                request.sequential = false;

                for (i = 0; i < length; ++i) {
                    Boot.loadUrl(urls[i], request);
                }
            }

            return this;
        },

        loadUrl: function(url, request) {
            var entry,
                buster = request.buster,
                charset = request.charset,
                head = Boot.getHead(),
                el, key;

            if (request.prependBaseUrl) {
                url = Boot.baseUrl + url;
            }

            if (request.sequential) {
                Boot.currentFile = url;
            } else {
                Boot.currentFile = null;
            }

            key = Boot.canonicalUrl(url);
            if (!(entry = _items[key])) {
                // we're creating a new entry;
                _entries++;

                // Not already loaded or loading, so we need to create a new script
                // element and tracking entry.
                entry = Boot.create(url, key);
                el = entry.el;
                if (!entry.css && charset) {
                    el.charset = charset;
                }
                entry.requests = [request];

                Boot.watch(entry);

                if (buster) {
                    // Check for the presence of a querystring.
                    url += (url.indexOf('?') === -1 ? '?' : '&') + buster;
                }

                if(!Boot.hasAsync && !entry.css) {
                    entry.loaded = false;
                    entry.evaluated = false;

                    var onLoadWas,
                        newOnLoad = function() {
                            entry.loaded = true;
                            var rurls = request.urls,
                                rlen = rurls.length, r, e, k;
                            for(r = 0; r < rlen; r++) {
                                k = Boot.canonicalUrl(rurls[r]);
                                e = _items[k];
                                if(e) {
                                    if(!e.loaded) {
                                        return;
                                    } else if(!e.evaluated) {
                                        head.appendChild(e.el);
                                        e.evaluated = true;
                                        e.onLoadWas.apply(e.el, arguments);
                                    }
                                }
                            }
                        };
                    /*
                     * When available (IE9m), we need to use the onreadystatechange / readyState
                     * mechanism to monitor script load and cause script evaluation by appending 
                     * elements to the document.  Modern browsers use the onload mechanism.
                     */
                    if (!('readyState' in el)) {
                        onLoadWas = el.onload;
                        el.onload = newOnLoad;
                    } else {
                        // IE9m Compatability
                        onLoadWas = el.onreadystatechange;
                        el.onreadystatechange = function() {
                            if (this.readyState === 'loaded' || this.readyState === 'complete') {
                                newOnLoad.apply(this, arguments);
                            }
                        };
                    }

                    entry.onLoadWas = onLoadWas;
                    el[entry.prop] = url; // IE starts loading scripts here  
                } else {
                    el[entry.prop] = url; // IE starts loading scripts here  
                    head.appendChild(el); // others start loading here
                }
            }
            else if (entry.done) {
                Boot.notify(entry, request);
            }
            // If the script is already in the document, we must assume we are here
            // because whatever was in the script seemed to be not present... which
            // should mean that the script is loading at this time. Sadly, only IE
            // and its readyState property can tell us the truth of the matter. In
            // standards browsers we have no way to know.
            else if (entry.requests) {
                entry.requests.push(request);
            }
            else {
                entry.requests = [ request ];
            }
        },

        loadSequential: function(request) {
            if(!request.url) {
                request = {
                    url: request
                }
            }
            request.sequential = true;
            Boot.load(request);
        },

        loadSequentialBasePrefix: function(request) {
            if(!request.url) {
                request = {
                    url: request
                };
            }
            request.prependBaseUrl = true;
            Boot.loadSequential(request);
        },

        fetchSync: function(url) {
            var exception, xhr, status, content;

            exception = false;
            xhr = new XMLHttpRequest();

            try {
                xhr.open('GET', url, false);
                xhr.send(null);
            } catch (e) {
                exception = true;
            }

            status = (xhr.status === 1223) ? 204 :
                (xhr.status === 0 && ((self.location || {}).protocol === 'file:' ||
                    (self.location || {}).protocol === 'ionp:')) ? 200 : xhr.status;
            content = xhr.responseText;

            xhr = null; // Prevent potential IE memory leak

            return {
                content: content,
                exception: exception,
                status: status
            };


        },

        /*
         * Performs the load of scripts synchronously.
         * @param {type} request
         * @return {Ext.Boot} this
         * @private
         */
        loadSync: function (request) {
            _syncMode++;
            var request = Boot.expandLoadOrder(request.url ? request : {url: request}),
                url = request.url,
                urls = url.charAt ? [ url ] : url,
                length = urls.length,
                buster = _config.disableCaching &&
                    ('?' + _config.disableCachingParam + '=' + (+new Date())),
                content, entry, i, key, status, exception;

            // Start the counter here. This is reduced as we notify this fellow of script
            // loads.
            request.loading = length;
            request.urls = urls;
            request.loaded = 0;

            // create a pseudo entry value to keep the listeners from firing until
            // after the loop is complete
            _entries++;

            for (i = 0; i < length; ++i) {
                url = urls[i];
                if (request.prependBaseUrl) {
                    url = Boot.baseUrl + url;
                }
                Boot.currentFile = url;

                key = Boot.canonicalUrl(url);
                if (!(entry = _items[key])) {
                    // we're creating a new entry
                    _entries++;

                    _items[key] = entry = {
                        key: key,
                        url: url,
                        done: false,
                        requests: [request],
                        el: null
                    };
                } else {
                    // We already have a script tag for this URL... if it is still loading
                    // we need to boot it out and load synchronously.
                    if (entry.done) {
                        Boot.notify(entry, request);
                        continue;
                    }
                    if (entry.el) {
                        entry.preserve = false;
                        Boot.cleanup(entry);
                    }

                    if (entry.requests) {
                        entry.requests.push(request);
                    } else {
                        entry.requests = [request];
                    }
                }

                entry.sync = true;

                if (buster) {
                    url += buster;
                }

                ++Boot.loading;


                content = Boot.fetchSync(url);
                entry.done = true;

                exception = content.exception;
                status = content.status;
                content = content.content || '';

                if ((exception || status === 0) && !_environment.phantom) {
                    entry.error =
                        //<debug>
                        ("Failed loading synchronously via XHR: '" + url +
                            "'. It's likely that the file is either being loaded from a " +
                            "different domain or from the local file system where cross " +
                            "origin requests are not allowed for security reasons. Try " +
                            "asynchronous loading instead.") ||
                            //</debug>
                            true;
                }
                else if ((status >= 200 && status < 300) || status === 304
                    || _environment.phantom
                    || (status === 0 && content.length > 0)
                    ) {
                    Boot.inject(content, url);
                }
                else {
                    entry.error =
                        //<debug>
                        ("Failed loading synchronously via XHR: '" + url +
                            "'. Please verify that the file exists. XHR status code: " +
                            status) ||
                            //</debug>
                            true;
                }

                Boot.notifyAll(entry);
            }
            _syncMode--;

            // once the loop is complete, we can attempt to fire any pending listeners
            _entries--;
            Boot.fireListeners();
            Boot.currentFile = null;
            return this;
        },

        loadSyncBasePrefix: function(request) {
            if(!request.url) {
                request = {
                    url: request
                };
            }
            request.prependBaseUrl = true;
            Boot.loadSync(request);
        },

        notify: function (entry, request) {
            if (request.preserve) {
                // If one listener explicitly passes preserve:true we honor it.
                entry.preserve = true;
            }

            ++request.loaded;

            //<debug>
            if (!request.loading) {
                throw new Error('Unexpected script load notification ' + entry.url);
            }
            //</debug>

            if (entry.error) {
                (request.errors || (request.errors = [])).push(entry);
            }

            if (! --request.loading) {
                // There is no current request, new load calls can go ahead.
                _currentRequest = null;

                var errors = request.errors,
                    fn = request[errors ? 'failure' : 'success'],
                    delay = ('delay' in request) ? request.delay :
                        (errors ? 1 : _config.chainDelay),
                    scope = request.scope || request;

                // If there were queued requests which arrived during the time this request was processing
                // Fire them off now.
                if (_suspendedQueue.length) {
                    Boot.load(_suspendedQueue.shift());
                }

                if (fn) {
                    if (delay === 0 || delay > 0) {
                        // Free the stack (and defer the next script)
                        setTimeout(function() {
                            fn.call(scope, request);
                        }, delay);
                    } else {
                        fn.call(scope, request);
                    }
                }

            } else if (!_syncMode && request.sequential && (request.loaded < request.urls.length)) {
                Boot.loadUrl(request.urls[request.loaded], request);
            }
        },

        notifyAll: function (entry) {
            var requests = entry.requests,
                length = requests && requests.length,
                i;

            entry.done = true;
            entry.requests = null;
            --Boot.loading;
            ++Boot.loaded;

            for (i = 0; i < length; ++i) {
                Boot.notify(entry, requests[i]);
            }

            if (!length) {
                entry.preserve = true;
            }

            Boot.cleanup(entry);
            _entries--;
            Boot.fireListeners();
        },

        watch: function (entry) {
            var el = entry.el,
                requests = entry.requests,
                listener = requests && requests[0],
                onLoadFn = function () {
                    if (!entry.done) {
                        Boot.notifyAll(entry);
                    }
                };

            el.onerror = function () {
                entry.error = true;
                Boot.notifyAll(entry);
            };

            entry.preserve = (listener && ('preserve' in listener))
                ? listener.preserve : _config.preserveScripts;

            /*
             * When available (IE9m), we need to use the onreadystatechange / readyState
             * mechanism to monitor script load and cause script evaluation by appending 
             * elements to the document.  Modern browsers use the onload mechanism.
             */
            if (!('readyState' in el)) {
                el.onload = onLoadFn;
            } else {
                // IE9m Compatability
                el.onreadystatechange = function() {
                    if (this.readyState === 'loaded' || this.readyState === 'complete') {
                        onLoadFn();
                    }
                };
            }

            ++Boot.loading;
        },

        /*
         * @private
         */
        cleanup: function (entry) {
            var el = entry.el,
                prop;

            if(!el) {
                return;
            }

            if (!entry.preserve) {
                entry.el = null;

                el.parentNode.removeChild(el); // Remove, since its useless now

                for (prop in el) {
                    try {
                        if (prop !== entry.prop) {
                            // If we set the src property to null IE
                            // will try and request a script at './null'
                            el[prop] = null;
                        }
                        delete el[prop];      // and prepare for GC
                    } catch (cleanEx) {
                        //ignore
                    }
                }
            }

            // Setting to null can cause exceptions if IE ever needs to call these
            // again (like onreadystatechange). This emptyFn has nothing locked in
            // closure scope so it is about as safe as null for memory leaks.
            el.onload = el.onerror = el.onreadystatechange = emptyFn;
        },

        fireListeners: function() {
            var listener;
            while(!_entries && (listener = _listeners.shift())) {
                listener();
            }
        },

        onBootReady: function(listener) {
            if (!_entries) {
                listener();
            } else {
                _listeners.push(listener);
            }
        },

        /*
         * @private
         * @param manifest
         * @returns {*}
         */
        createLoadOrderMap: function(loadOrder) {
            var len = loadOrder.length,
                loadOrderMap = {},
                i, element;

            for(i = 0; i < len; i++) {
                element = loadOrder[i];
                loadOrderMap[element.path] = element;
            }

            return loadOrderMap;
        },

        /*
         * @private
         * @param index
         * @param indexMap
         * @returns {{}}
         */
        getLoadIndexes: function(index, indexMap, loadOrder, includeUses, skipLoaded) {
            var item = loadOrder[index],
                len, i, reqs, key, entry, stop, added, idx, ridx;

            if(indexMap[index]) {
                // prevent cycles
                return indexMap;
            }

            indexMap[index] = true;

            stop = false;
            while(!stop) {
                added = false;

                // iterate the requirements for each index and 
                // accumulate in the index map
                for(idx in indexMap) {
                    if(indexMap.hasOwnProperty(idx)) {
                        item = loadOrder[idx];
                        if(!item) {
                            continue;
                        }
                        key = Boot.canonicalUrl(item.path);
                        entry = _items[key];
                        if(!skipLoaded || !entry || !entry.done) {
                            reqs = item.requires;
                            if(includeUses && item.uses) {
                                reqs = reqs.concat(item.uses);
                            }
                            for(len = reqs.length, i = 0; i < len; i++) {
                                ridx = reqs[i];
                                // if we find a requirement that wasn't 
                                // already in the index map, 
                                // set the added flag to indicate we need to 
                                // reprocess
                                if(!indexMap[ridx]) {
                                    indexMap[ridx] = true;
                                    added = true;
                                }
                            }
                        }
                    }
                }

                // if we made a pass through the index map and didn't add anything
                // then we can stop
                if(!added) {
                    stop = true;
                }
            }

            return indexMap;
        },

        getPathsFromIndexes: function(indexMap, loadOrder) {
            var indexes = [],
                paths = [],
                index, len, i;

            for(index in indexMap) {
                if(indexMap.hasOwnProperty(index) && indexMap[index]) {
                    indexes.push(index);
                }
            }

            indexes.sort(function(a, b){
                return a-b;
            });

            // convert indexes back into load paths
            for (len = indexes.length, i = 0; i < len; i++) {
                paths.push(loadOrder[indexes[i]].path);
            }

            return paths;
        },

        /*
         * @private
         * @param url
         * @returns {Array}
         */
        expandUrl: function(url, loadOrder, loadOrderMap, indexMap, includeUses, skipLoaded) {
            if(typeof url == 'string') {
                url = [url];
            }

            if(loadOrder) {
                loadOrderMap = loadOrderMap || Boot.createLoadOrderMap(loadOrder);
                indexMap = indexMap || {};
                var len = url.length,
                    unmapped = [],
                    i, item;

                for(i = 0; i < len; i++) {
                    item = loadOrderMap[url[i]];
                    if(item) {
                        Boot.getLoadIndexes(item.idx, indexMap, loadOrder, includeUses, skipLoaded);
                    } else {
                        unmapped.push(url[i]);
                    }
                }



                return Boot.getPathsFromIndexes(indexMap, loadOrder).concat(unmapped);
            }
            return url;
        },

        expandUrls: function(urls, loadOrder, loadOrderMap, includeUses) {
            if(typeof urls == "string") {
                urls = [urls];
            }

            var expanded = [],
                len = urls.length,
                i;

            for(i = 0; i < len; i++) {
                expanded = expanded.concat(
                    Boot.expandUrl(urls[i], loadOrder, loadOrderMap, {}, includeUses, true));
            }

            if(expanded.length == 0) {
                expanded = urls;
            }

            return expanded;
        },

        /*
         * @private
         */
        expandLoadOrder: function(request) {
            var urls = request.url,
                loadOrder = request.loadOrder,
                loadOrderMap = request.loadOrderMap,
                expanded;

            if(!request.expanded) {
                expanded = Boot.expandUrls(urls, loadOrder, loadOrderMap);
                request.expanded = true;
            } else {
                expanded = urls;
            }

            request.url = expanded;

            // if we added some urls to the request to honor the indicated
            // load order, the request needs to be sequential
            if(urls.length != expanded.length) {
                request.sequential = true;
            }

            return request;
        }
    };

    /*
     * Turns on or off the "cache buster" applied to dynamically loaded scripts. Normally
     * dynamically loaded scripts have an extra query parameter appended to avoid stale
     * cached scripts. This method can be used to disable this mechanism, and is primarily
     * useful for testing. This is done using a cookie.
     * @param {Boolean} disable True to disable the cache buster.
     * @param {String} [path="/"] An optional path to scope the cookie.
     */
    Ext.disableCacheBuster = function (disable, path) {
        var date = new Date();
        date.setTime(date.getTime() + (disable ? 10*365 : -1) * 24*60*60*1000);
        date = date.toGMTString();
        doc.cookie = 'ext-cache=1; expires=' + date + '; path='+(path || '/');
    };

//<if nonBrowser>
    if (_environment.node) {
        Boot.load = Boot.loadSync = function (request) {
            // @TODO
            require(filePath);
            onLoad.call(scope);
        };
        Boot.init = emptyFn;
    }
//</if>

    Boot.init();
    return Boot;

// NOTE: We run the eval at global scope to protect the body of the function and allow
// compressors to still process it.
}(function() {}));//(eval("/*@cc_on!@*/!1"));

/*
 * This method evaluates the given code free of any local variable. In some browsers this
 * will be at global scope, in others it will be in a function.
 * @parma {String} code The code to evaluate.
 * @private
 * @method
 */
Ext.globalEval = this.execScript
    ? function(code) {
    execScript(code);
}
    : function($$code) {
    // IMPORTANT: because we use eval we cannot place this in the above function or it
    // will break the compressor's ability to rename local variables...
    (function(){
        // This var should not be replaced by the compressor. We need to do this so
        // that Ext refers to the global Ext, if we're sandboxing it may
        // refer to the local instance inside the closure
        var Ext = this.Ext;
        eval($$code);
    }());
};

//<feature legacyBrowser>
/*
 * Only IE8 & IE/Quirks lack Function.prototype.bind so we polyfill that here.
 */
if (!Function.prototype.bind) {
    (function () {
        var slice = Array.prototype.slice,
        // To reduce overhead on call of the bound fn we have two flavors based on
        // whether we have args to prepend or not:
            bind = function (me) {
                var args = slice.call(arguments, 1),
                    method = this;

                if (args.length) {
                    return function () {
                        var t = arguments;
                        // avoid the slice/concat if the caller does not supply args
                        return method.apply(me, t.length ? args.concat(slice.call(t)) : args);
                    };
                }
                // this is the majority use case - just fn.bind(this) and no args

                args = null;
                return function () {
                    return method.apply(me, arguments);
                };
            };
        Function.prototype.bind = bind;
        bind.$extjs = true; // to detect this polyfill if one want to improve it
    }());
}
//</feature>

//</editor-fold>


/**
 * This file is generated by Sencha Cmd and should NOT be edited.  It is
 * provided to support globbing requires, custom xtypes, and other
 * metadata-driven class system features
 */

Ext.Boot.loadSync([
  "../../../../packages/sencha-core/.sencha/package/Boot.js",
  "../../../../packages/sencha-core/src/Ext.js",
  "../../../../packages/sencha-core/src/lang/Error.js",
  "../../../../packages/sencha-core/src/lang/Array.js",
  "../../../../packages/sencha-core/src/lang/Assert.js",
  "../../../../packages/sencha-core/src/lang/String.js",
  "../../../../packages/sencha-core/src/lang/Date.js",
  "../../../../packages/sencha-core/src/lang/Function.js",
  "../../../../packages/sencha-core/src/lang/Number.js",
  "../../../../packages/sencha-core/src/lang/Object.js",
  "../../../../packages/sencha-core/src/Util.js",
  "../../../../packages/sencha-core/src/util/Version.js",
  "../../../../packages/sencha-core/src/class/Config.js",
  "../../../../packages/sencha-core/src/class/Configurator.js",
  "../../../../packages/sencha-core/src/class/Base.js",
  "../../../../packages/sencha-core/src/class/Class.js",
  "../../../../packages/sencha-core/src/class/Inventory.js",
  "../../../../packages/sencha-core/src/class/ClassManager.js",
  "../../../../packages/sencha-core/src/env/Browser.js",
  "../../../../packages/sencha-core/src/env/OS.js",
  "../../../../packages/sencha-core/src/env/Feature.js",
  "../../../../packages/sencha-core/src/env/Ready.js",
  "../../../../packages/sencha-core/src/class/Loader.js",
  "../../../../packages/sencha-core/src/dom/Helper.js",
  "../../../../packages/sencha-core/src/util/Format.js",
  "../../../../packages/sencha-core/src/Template.js"
]);


/**
 * This file is generated by Sencha Cmd and should NOT be edited.  It is
 * provided to support globbing requires, custom xtypes, and other
 * metadata-driven class system features
 */

Ext.Loader.addClassPathMappings({
  "Ext": "../../../../src",
  "Ext-more": "../../../../overrides/Ext-more.js",
  "Ext.AbstractManager": "../../../../packages/sencha-core/src/AbstractManager.js",
  "Ext.Ajax": "../../../../packages/sencha-core/src/Ajax.js",
  "Ext.AnimationQueue": "../../../../packages/sencha-core/src/AnimationQueue.js",
  "Ext.Array": "../../../../packages/sencha-core/src/lang/Array.js",
  "Ext.Assert": "../../../../packages/sencha-core/src/lang/Assert.js",
  "Ext.Base": "../../../../packages/sencha-core/src/class/Base.js",
  "Ext.Boot": "../../../../packages/sencha-core/.sencha/package/Boot.js",
  "Ext.Class": "../../../../packages/sencha-core/src/class/Class.js",
  "Ext.ClassManager": "../../../../packages/sencha-core/src/class/ClassManager.js",
  "Ext.ComponentManager": "../../../../packages/sencha-core/src/ComponentManager.js",
  "Ext.ComponentQuery": "../../../../packages/sencha-core/src/ComponentQuery.js",
  "Ext.Config": "../../../../packages/sencha-core/src/class/Config.js",
  "Ext.Configurator": "../../../../packages/sencha-core/src/class/Configurator.js",
  "Ext.Date": "../../../../packages/sencha-core/src/lang/Date.js",
  "Ext.Error": "../../../../packages/sencha-core/src/lang/Error.js",
  "Ext.Evented": "../../../../packages/sencha-core/src/Evented.js",
  "Ext.Factory": "../../../../packages/sencha-core/src/mixin/Factoryable.js",
  "Ext.Function": "../../../../packages/sencha-core/src/lang/Function.js",
  "Ext.GlobalEvents": "../../../../packages/sencha-core/src/GlobalEvents.js",
  "Ext.Inventory": "../../../../packages/sencha-core/src/class/Inventory.js",
  "Ext.JSON": "../../../../packages/sencha-core/src/JSON.js",
  "Ext.Loader": "../../../../packages/sencha-core/src/class/Loader.js",
  "Ext.Mixin": "../../../../packages/sencha-core/src/class/Mixin.js",
  "Ext.Msg": "../../../../src/window/MessageBox.js",
  "Ext.Number": "../../../../packages/sencha-core/src/lang/Number.js",
  "Ext.Object": "../../../../packages/sencha-core/src/lang/Object.js",
  "Ext.Script": "../../../../packages/sencha-core/src/class/Inventory.js",
  "Ext.String": "../../../../packages/sencha-core/src/lang/String.js",
  "Ext.TaskQueue": "../../../../packages/sencha-core/src/TaskQueue.js",
  "Ext.Template": "../../../../packages/sencha-core/src/Template.js",
  "Ext.Util": "../../../../packages/sencha-core/src/Util.js",
  "Ext.Version": "../../../../packages/sencha-core/src/util/Version.js",
  "Ext.Widget": "../../../../packages/sencha-core/src/Widget.js",
  "Ext.XTemplate": "../../../../packages/sencha-core/src/XTemplate.js",
  "Ext.app.ViewModel": "../../../../packages/sencha-core/src/app/ViewModel.js",
  "Ext.app.bind": "../../../../packages/sencha-core/src/app/bind",
  "Ext.browser": "../../../../packages/sencha-core/src/env/Browser.js",
  "Ext.chart": "../../../../packages/sencha-charts/src/chart",
  "Ext.chart.LegendBase": "../../../../packages/sencha-charts/src-ext/chart/LegendBase.js",
  "Ext.chart.TipSurface": "../../../../packages/sencha-charts/src-ext/chart/TipSurface.js",
  "Ext.chart.interactions.ItemInfo": "../../../../packages/sencha-charts/src-ext/chart/interactions/ItemInfo.js",
  "Ext.chart.overrides": "../../../../packages/sencha-charts/src-ext/chart/overrides",
  "Ext.chart.theme.CustomCharts": "../../app/view/charts/combination/CustomTheme.js",
  "Ext.class": "../../../../packages/sencha-core/src/class",
  "Ext.data": "../../../../packages/sencha-core/src/data",
  "Ext.data.amf": "../../../../packages/sencha-amf/src-ext/data/amf",
  "Ext.data.soap": "../../../../packages/sencha-soap/src/data/soap",
  "Ext.direct": "../../../../packages/sencha-core/src/direct",
  "Ext.direct.AmfRemotingProvider": "../../../../packages/sencha-amf/src-ext/direct/AmfRemotingProvider.js",
  "Ext.dom": "../../../../packages/sencha-core/src/dom",
  "Ext.dom.ButtonElement": "../../../../src/dom/ButtonElement.js",
  "Ext.dom.Layer": "../../../../src/dom/Layer.js",
  "Ext.draw": "../../../../packages/sencha-charts/src/draw",
  "Ext.draw.ContainerBase": "../../../../packages/sencha-charts/src-ext/draw/ContainerBase.js",
  "Ext.draw.SurfaceBase": "../../../../packages/sencha-charts/src-ext/draw/SurfaceBase.js",
  "Ext.draw.engine.SvgContext.Gradient": "../../../../packages/sencha-charts/src/draw/engine/SvgContext.js",
  "Ext.env": "../../../../packages/sencha-core/src/env",
  "Ext.event": "../../../../packages/sencha-core/src/event",
  "Ext.feature": "../../../../packages/sencha-core/src/env/Feature.js",
  "Ext.fx.Animation": "../../../../packages/sencha-core/src/fx/Animation.js",
  "Ext.fx.Runner": "../../../../packages/sencha-core/src/fx/Runner.js",
  "Ext.fx.State": "../../../../packages/sencha-core/src/fx/State.js",
  "Ext.fx.animation": "../../../../packages/sencha-core/src/fx/animation",
  "Ext.fx.easing": "../../../../packages/sencha-core/src/fx/easing",
  "Ext.fx.layout": "../../../../packages/sencha-core/src/fx/layout",
  "Ext.fx.runner": "../../../../packages/sencha-core/src/fx/runner",
  "Ext.lang": "../../../../packages/sencha-core/src/lang",
  "Ext.locale": "../../../../packages/ext-locale/overrides/he",
  "Ext.locale.he.Component": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.Base": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.ComboBox": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.Date": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.HtmlEditor": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.Number": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.Text": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.form.field.VTypes": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.grid.GroupingFeature": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.grid.PropertyColumnModel": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.grid.header.Container": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.grid.plugin.DragDrop": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.picker.Date": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.picker.Month": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.tab.Tab": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.toolbar.Paging": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.view.AbstractView": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.view.View": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.locale.he.window.MessageBox": "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "Ext.mixin": "../../../../packages/sencha-core/src/mixin",
  "Ext.os": "../../../../packages/sencha-core/src/env/OS.js",
  "Ext.overrides": "../../../../overrides",
  "Ext.overrides.util.Positionable": "../../../../overrides/Positionable.js",
  "Ext.perf": "../../../../packages/sencha-core/src/perf",
  "Ext.scroll": "../../../../packages/sencha-core/src/scroll",
  "Ext.scroll.Indicator": "../../../../src/scroll/Indicator.js",
  "Ext.scroll.Manager": "../../../../src/scroll/Manager.js",
  "Ext.supports": "../../../../packages/sencha-core/src/env/Feature.js",
  "Ext.touch": "../../../../packages/ext-touch-sizing",
  "Ext.util": "../../../../packages/sencha-core/src/util",
  "Ext.util.Animate": "../../../../src/util/Animate.js",
  "Ext.util.CSS": "../../../../src/util/CSS.js",
  "Ext.util.ClickRepeater": "../../../../src/util/ClickRepeater.js",
  "Ext.util.ComponentDragger": "../../../../src/util/ComponentDragger.js",
  "Ext.util.Cookies": "../../../../src/util/Cookies.js",
  "Ext.util.ElementContainer": "../../../../src/util/ElementContainer.js",
  "Ext.util.Floating": "../../../../src/util/Floating.js",
  "Ext.util.History": "../../../../src/util/History.js",
  "Ext.util.KeyMap": "../../../../src/util/KeyMap.js",
  "Ext.util.KeyNav": "../../../../src/util/KeyNav.js",
  "Ext.util.Memento": "../../../../src/util/Memento.js",
  "Ext.util.ProtoElement": "../../../../src/util/ProtoElement.js",
  "Ext.util.Queue": "../../../../src/util/Queue.js",
  "Ext.util.Renderable": "../../../../src/util/Renderable.js",
  "Ext.util.StoreHolder": "../../../../src/util/StoreHolder.js",
  "Ext.ux": "../../../ux",
  "Ext.ux.desktop.TrayClock": "../../../ux/desktop/TaskBar.js",
  "ExtThemeNeptune": "../../../../packages/ext-theme-neptune/overrides",
  "KitchenSink": "../../app",
  "KitchenSink.locale.DummyText": "../../locale/he/DummyText.js",
  "KitchenSink.locale.store.Navigation": "../../locale/he/store/Navigation.js",
  "KitchenSink.locale.view.CodePreview": "../../locale/he/view/CodePreview.js",
  "KitchenSink.locale.view.CodeRegion": "../../locale/he/view/CodeRegion.js",
  "KitchenSink.locale.view.DescriptionPanel": "../../locale/he/view/DescriptionPanel.js",
  "KitchenSink.locale.view.Header": "../../locale/he/view/Header.js",
  "KitchenSink.view.FreeDrawComponent": "../../app/view/charts/touch/FreeDrawComponent.js",
  "KitchenSink.view.charts.touch.ColumnSeries3D": "../../app/view/charts/column/Column3D.js",
  "KitchenSink.view.charts.touch.ColumnSprite3D": "../../app/view/charts/column/Column3D.js",
  "KitchenSink.view.charts.touch.CrossZoom": "../../app/view/charts/line/CrossZoom.js",
  "KitchenSink.view.charts.touch.Renderer": "../../app/view/charts/line/Renderer.js",
  "KitchenSink.view.form.CheckboxGroupController": "../../app/view/form/CheckboxGroupFormController.js"
});
Ext.ClassManager.addNameAlternateMappings({
  "Ext.AbstractManager": [],
  "Ext.Action": [],
  "Ext.Ajax": [],
  "Ext.AnimationQueue": [],
  "Ext.Component": [
    "Ext.AbstractComponent"
  ],
  "Ext.ComponentLoader": [],
  "Ext.ComponentManager": [
    "Ext.ComponentMgr"
  ],
  "Ext.ComponentQuery": [],
  "Ext.Editor": [],
  "Ext.ElementLoader": [],
  "Ext.EventManager": [],
  "Ext.Evented": [
    "Ext.EventedBase"
  ],
  "Ext.FocusManager": [
    "Ext.FocusMgr"
  ],
  "Ext.GlobalEvents": [
    "Ext.globalEvents"
  ],
  "Ext.Img": [],
  "Ext.LoadMask": [],
  "Ext.Mixin": [],
  "Ext.ProgressBar": [],
  "Ext.ProgressBarWidget": [],
  "Ext.Shadow": [],
  "Ext.ShadowPool": [],
  "Ext.TaskQueue": [],
  "Ext.Widget": [],
  "Ext.XTemplate": [],
  "Ext.ZIndexManager": [
    "Ext.WindowGroup"
  ],
  "Ext.app.Application": [],
  "Ext.app.BaseController": [],
  "Ext.app.Controller": [],
  "Ext.app.EventBus": [],
  "Ext.app.EventDomain": [],
  "Ext.app.Util": [],
  "Ext.app.ViewController": [],
  "Ext.app.ViewModel": [],
  "Ext.app.bind.AbstractStub": [],
  "Ext.app.bind.BaseBinding": [],
  "Ext.app.bind.Binding": [],
  "Ext.app.bind.Formula": [],
  "Ext.app.bind.LinkStub": [],
  "Ext.app.bind.Multi": [],
  "Ext.app.bind.RootStub": [],
  "Ext.app.bind.Stub": [],
  "Ext.app.bind.Template": [],
  "Ext.app.bind.TemplateBinding": [],
  "Ext.app.bindinspector.ComponentDetail": [],
  "Ext.app.bindinspector.ComponentList": [],
  "Ext.app.bindinspector.Container": [],
  "Ext.app.bindinspector.Environment": [],
  "Ext.app.bindinspector.Inspector": [],
  "Ext.app.bindinspector.Util": [],
  "Ext.app.bindinspector.ViewModelDetail": [],
  "Ext.app.bindinspector.noconflict.BaseModel": [],
  "Ext.app.domain.Component": [],
  "Ext.app.domain.Controller": [],
  "Ext.app.domain.Direct": [],
  "Ext.app.domain.Global": [],
  "Ext.app.domain.Store": [],
  "Ext.app.domain.View": [],
  "Ext.app.route.Queue": [],
  "Ext.app.route.Route": [],
  "Ext.app.route.Router": [],
  "Ext.button.Button": [
    "Ext.Button"
  ],
  "Ext.button.Cycle": [
    "Ext.CycleButton"
  ],
  "Ext.button.Manager": [
    "Ext.ButtonToggleManager"
  ],
  "Ext.button.Segmented": [],
  "Ext.button.Split": [
    "Ext.SplitButton"
  ],
  "Ext.chart.AbstractChart": [],
  "Ext.chart.CartesianChart": [],
  "Ext.chart.Legend": [],
  "Ext.chart.LegendBase": [],
  "Ext.chart.MarkerHolder": [],
  "Ext.chart.Markers": [],
  "Ext.chart.PolarChart": [],
  "Ext.chart.SpaceFillingChart": [],
  "Ext.chart.TipSurface": [],
  "Ext.chart.axis.Axis": [],
  "Ext.chart.axis.Category": [],
  "Ext.chart.axis.Numeric": [],
  "Ext.chart.axis.Time": [],
  "Ext.chart.axis.layout.CombineDuplicate": [],
  "Ext.chart.axis.layout.Continuous": [],
  "Ext.chart.axis.layout.Discrete": [],
  "Ext.chart.axis.layout.Layout": [],
  "Ext.chart.axis.segmenter.Names": [],
  "Ext.chart.axis.segmenter.Numeric": [],
  "Ext.chart.axis.segmenter.Segmenter": [],
  "Ext.chart.axis.segmenter.Time": [],
  "Ext.chart.axis.sprite.Axis": [],
  "Ext.chart.grid.CircularGrid": [],
  "Ext.chart.grid.HorizontalGrid": [],
  "Ext.chart.grid.RadialGrid": [],
  "Ext.chart.grid.VerticalGrid": [],
  "Ext.chart.interactions.Abstract": [],
  "Ext.chart.interactions.CrossZoom": [],
  "Ext.chart.interactions.Crosshair": [],
  "Ext.chart.interactions.ItemHighlight": [],
  "Ext.chart.interactions.ItemInfo": [],
  "Ext.chart.interactions.PanZoom": [],
  "Ext.chart.interactions.Rotate": [],
  "Ext.chart.interactions.RotatePie3D": [],
  "Ext.chart.label.Callout": [],
  "Ext.chart.label.Label": [],
  "Ext.chart.overrides.AbstractChart": [],
  "Ext.chart.series.Area": [],
  "Ext.chart.series.Bar": [],
  "Ext.chart.series.CandleStick": [],
  "Ext.chart.series.Cartesian": [],
  "Ext.chart.series.Gauge": [],
  "Ext.chart.series.ItemPublisher": [],
  "Ext.chart.series.Line": [],
  "Ext.chart.series.Pie": [],
  "Ext.chart.series.Pie3D": [],
  "Ext.chart.series.Polar": [],
  "Ext.chart.series.Radar": [],
  "Ext.chart.series.Scatter": [],
  "Ext.chart.series.Series": [],
  "Ext.chart.series.StackedCartesian": [],
  "Ext.chart.series.sprite.Aggregative": [],
  "Ext.chart.series.sprite.Area": [],
  "Ext.chart.series.sprite.Bar": [],
  "Ext.chart.series.sprite.CandleStick": [],
  "Ext.chart.series.sprite.Cartesian": [],
  "Ext.chart.series.sprite.Line": [],
  "Ext.chart.series.sprite.Pie3DPart": [],
  "Ext.chart.series.sprite.PieSlice": [],
  "Ext.chart.series.sprite.Polar": [],
  "Ext.chart.series.sprite.Radar": [],
  "Ext.chart.series.sprite.Scatter": [],
  "Ext.chart.series.sprite.StackedCartesian": [],
  "Ext.chart.theme.Base": [],
  "Ext.chart.theme.CustomCharts": [],
  "Ext.chart.theme.Theme": [],
  "Ext.container.ButtonGroup": [
    "Ext.ButtonGroup"
  ],
  "Ext.container.Container": [
    "Ext.Container",
    "Ext.AbstractContainer"
  ],
  "Ext.container.DockingContainer": [],
  "Ext.container.Monitor": [],
  "Ext.container.Viewport": [
    "Ext.Viewport"
  ],
  "Ext.dashboard.Column": [],
  "Ext.dashboard.Dashboard": [],
  "Ext.dashboard.DropZone": [],
  "Ext.dashboard.Panel": [],
  "Ext.dashboard.Part": [],
  "Ext.data.AbstractStore": [],
  "Ext.data.ArrayStore": [
    "Ext.data.SimpleStore"
  ],
  "Ext.data.Batch": [],
  "Ext.data.BufferedStore": [],
  "Ext.data.ChainedStore": [],
  "Ext.data.Connection": [],
  "Ext.data.DirectStore": [],
  "Ext.data.Error": [],
  "Ext.data.ErrorCollection": [
    "Ext.data.Errors"
  ],
  "Ext.data.JsonP": [],
  "Ext.data.JsonPStore": [],
  "Ext.data.JsonStore": [],
  "Ext.data.LocalStore": [],
  "Ext.data.Model": [
    "Ext.data.Record"
  ],
  "Ext.data.ModelManager": [
    "Ext.ModelMgr"
  ],
  "Ext.data.NodeInterface": [],
  "Ext.data.NodeStore": [],
  "Ext.data.PageMap": [],
  "Ext.data.ProxyStore": [],
  "Ext.data.Request": [],
  "Ext.data.ResultSet": [],
  "Ext.data.Session": [],
  "Ext.data.SortTypes": [],
  "Ext.data.Store": [],
  "Ext.data.StoreManager": [
    "Ext.StoreMgr",
    "Ext.data.StoreMgr",
    "Ext.StoreManager"
  ],
  "Ext.data.TreeModel": [],
  "Ext.data.TreeStore": [],
  "Ext.data.Types": [],
  "Ext.data.Validation": [],
  "Ext.data.XmlStore": [],
  "Ext.data.amf.Encoder": [],
  "Ext.data.amf.Packet": [],
  "Ext.data.amf.Proxy": [],
  "Ext.data.amf.Reader": [],
  "Ext.data.amf.RemotingMessage": [],
  "Ext.data.amf.XmlDecoder": [],
  "Ext.data.amf.XmlEncoder": [],
  "Ext.data.field.Boolean": [],
  "Ext.data.field.Date": [],
  "Ext.data.field.Field": [
    "Ext.data.Field"
  ],
  "Ext.data.field.Integer": [],
  "Ext.data.field.Number": [],
  "Ext.data.field.String": [],
  "Ext.data.flash.BinaryXhr": [],
  "Ext.data.identifier.Generator": [],
  "Ext.data.identifier.Negative": [],
  "Ext.data.identifier.Sequential": [],
  "Ext.data.identifier.Uuid": [],
  "Ext.data.matrix.Matrix": [],
  "Ext.data.matrix.Side": [],
  "Ext.data.matrix.Slice": [],
  "Ext.data.operation.Create": [],
  "Ext.data.operation.Destroy": [],
  "Ext.data.operation.Operation": [
    "Ext.data.Operation"
  ],
  "Ext.data.operation.Read": [],
  "Ext.data.operation.Update": [],
  "Ext.data.proxy.Ajax": [
    "Ext.data.HttpProxy",
    "Ext.data.AjaxProxy"
  ],
  "Ext.data.proxy.Client": [
    "Ext.data.ClientProxy"
  ],
  "Ext.data.proxy.Direct": [
    "Ext.data.DirectProxy"
  ],
  "Ext.data.proxy.JsonP": [
    "Ext.data.ScriptTagProxy"
  ],
  "Ext.data.proxy.LocalStorage": [
    "Ext.data.LocalStorageProxy"
  ],
  "Ext.data.proxy.Memory": [
    "Ext.data.MemoryProxy"
  ],
  "Ext.data.proxy.Proxy": [
    "Ext.data.DataProxy",
    "Ext.data.Proxy"
  ],
  "Ext.data.proxy.Rest": [
    "Ext.data.RestProxy"
  ],
  "Ext.data.proxy.Server": [
    "Ext.data.ServerProxy"
  ],
  "Ext.data.proxy.SessionStorage": [
    "Ext.data.SessionStorageProxy"
  ],
  "Ext.data.proxy.Sql": [
    "Ext.data.proxy.SQL"
  ],
  "Ext.data.proxy.WebStorage": [
    "Ext.data.WebStorageProxy"
  ],
  "Ext.data.reader.Array": [
    "Ext.data.ArrayReader"
  ],
  "Ext.data.reader.Json": [
    "Ext.data.JsonReader"
  ],
  "Ext.data.reader.Reader": [
    "Ext.data.Reader",
    "Ext.data.DataReader"
  ],
  "Ext.data.reader.Xml": [
    "Ext.data.XmlReader"
  ],
  "Ext.data.schema.Association": [],
  "Ext.data.schema.ManyToMany": [],
  "Ext.data.schema.ManyToOne": [],
  "Ext.data.schema.Namer": [],
  "Ext.data.schema.OneToOne": [],
  "Ext.data.schema.Role": [],
  "Ext.data.schema.Schema": [],
  "Ext.data.session.BatchVisitor": [],
  "Ext.data.session.ChangesVisitor": [],
  "Ext.data.session.ChildChangesVisitor": [],
  "Ext.data.soap.Proxy": [],
  "Ext.data.soap.Reader": [],
  "Ext.data.validator.Bound": [],
  "Ext.data.validator.Email": [],
  "Ext.data.validator.Exclusion": [],
  "Ext.data.validator.Format": [],
  "Ext.data.validator.Inclusion": [],
  "Ext.data.validator.Length": [],
  "Ext.data.validator.List": [],
  "Ext.data.validator.Presence": [],
  "Ext.data.validator.Range": [],
  "Ext.data.validator.Validator": [],
  "Ext.data.writer.Json": [
    "Ext.data.JsonWriter"
  ],
  "Ext.data.writer.Writer": [
    "Ext.data.DataWriter",
    "Ext.data.Writer"
  ],
  "Ext.data.writer.Xml": [
    "Ext.data.XmlWriter"
  ],
  "Ext.dd.DD": [],
  "Ext.dd.DDProxy": [],
  "Ext.dd.DDTarget": [],
  "Ext.dd.DragDrop": [],
  "Ext.dd.DragDropManager": [
    "Ext.dd.DragDropMgr",
    "Ext.dd.DDM"
  ],
  "Ext.dd.DragSource": [],
  "Ext.dd.DragTracker": [],
  "Ext.dd.DragZone": [],
  "Ext.dd.DropTarget": [],
  "Ext.dd.DropZone": [],
  "Ext.dd.Registry": [],
  "Ext.dd.ScrollManager": [],
  "Ext.dd.StatusProxy": [],
  "Ext.direct.AmfRemotingProvider": [],
  "Ext.direct.Event": [],
  "Ext.direct.ExceptionEvent": [],
  "Ext.direct.JsonProvider": [],
  "Ext.direct.Manager": [],
  "Ext.direct.PollingProvider": [],
  "Ext.direct.Provider": [],
  "Ext.direct.RemotingEvent": [],
  "Ext.direct.RemotingMethod": [],
  "Ext.direct.RemotingProvider": [],
  "Ext.direct.Transaction": [
    "Ext.Direct.Transaction"
  ],
  "Ext.dom.ButtonElement": [],
  "Ext.dom.CompositeElement": [
    "Ext.CompositeElement"
  ],
  "Ext.dom.CompositeElementLite": [
    "Ext.CompositeElementLite"
  ],
  "Ext.dom.Element": [
    "Ext.Element"
  ],
  "Ext.dom.Fly": [
    "Ext.dom.Element.Fly"
  ],
  "Ext.dom.GarbageCollector": [],
  "Ext.dom.Layer": [
    "Ext.Layer"
  ],
  "Ext.dom.Query": [
    "Ext.core.DomQuery",
    "Ext.DomQuery"
  ],
  "Ext.draw.Animator": [],
  "Ext.draw.Color": [],
  "Ext.draw.Container": [
    "Ext.draw.Component"
  ],
  "Ext.draw.ContainerBase": [],
  "Ext.draw.Draw": [],
  "Ext.draw.LimitedCache": [],
  "Ext.draw.Matrix": [],
  "Ext.draw.Path": [],
  "Ext.draw.SegmentTree": [],
  "Ext.draw.Solver": [],
  "Ext.draw.Surface": [],
  "Ext.draw.SurfaceBase": [],
  "Ext.draw.TextMeasurer": [],
  "Ext.draw.TimingFunctions": [],
  "Ext.draw.engine.Canvas": [],
  "Ext.draw.engine.Svg": [],
  "Ext.draw.engine.SvgContext": [],
  "Ext.draw.engine.SvgContext.Gradient": [],
  "Ext.draw.gradient.Gradient": [],
  "Ext.draw.gradient.GradientDefinition": [],
  "Ext.draw.gradient.Linear": [],
  "Ext.draw.gradient.Radial": [],
  "Ext.draw.modifier.Animation": [],
  "Ext.draw.modifier.Highlight": [],
  "Ext.draw.modifier.Modifier": [],
  "Ext.draw.modifier.Target": [],
  "Ext.draw.sprite.AnimationParser": [],
  "Ext.draw.sprite.Arc": [],
  "Ext.draw.sprite.AttributeDefinition": [],
  "Ext.draw.sprite.AttributeParser": [],
  "Ext.draw.sprite.Circle": [],
  "Ext.draw.sprite.Composite": [],
  "Ext.draw.sprite.Ellipse": [],
  "Ext.draw.sprite.EllipticalArc": [],
  "Ext.draw.sprite.Image": [],
  "Ext.draw.sprite.Instancing": [],
  "Ext.draw.sprite.Line": [],
  "Ext.draw.sprite.Path": [],
  "Ext.draw.sprite.Rect": [],
  "Ext.draw.sprite.Sector": [],
  "Ext.draw.sprite.Sprite": [],
  "Ext.draw.sprite.Text": [],
  "Ext.event.Controller": [],
  "Ext.event.Dispatcher": [],
  "Ext.event.Event": [
    "Ext.EventObjectImpl"
  ],
  "Ext.event.ListenerStack": [],
  "Ext.event.gesture.DoubleTap": [],
  "Ext.event.gesture.Drag": [],
  "Ext.event.gesture.EdgeSwipe": [],
  "Ext.event.gesture.LongPress": [],
  "Ext.event.gesture.MultiTouch": [],
  "Ext.event.gesture.Pinch": [],
  "Ext.event.gesture.Recognizer": [],
  "Ext.event.gesture.Rotate": [],
  "Ext.event.gesture.SingleTouch": [],
  "Ext.event.gesture.Swipe": [],
  "Ext.event.gesture.Tap": [],
  "Ext.event.publisher.Dom": [],
  "Ext.event.publisher.ElementPaint": [],
  "Ext.event.publisher.ElementSize": [],
  "Ext.event.publisher.Gesture": [
    "Ext.event.publisher.TouchGesture"
  ],
  "Ext.event.publisher.Publisher": [],
  "Ext.flash.Component": [
    "Ext.FlashComponent"
  ],
  "Ext.form.Basic": [
    "Ext.form.BasicForm"
  ],
  "Ext.form.CheckboxGroup": [],
  "Ext.form.CheckboxManager": [],
  "Ext.form.FieldAncestor": [],
  "Ext.form.FieldContainer": [],
  "Ext.form.FieldSet": [],
  "Ext.form.Label": [],
  "Ext.form.Labelable": [],
  "Ext.form.Panel": [
    "Ext.FormPanel",
    "Ext.form.FormPanel"
  ],
  "Ext.form.RadioGroup": [],
  "Ext.form.RadioManager": [],
  "Ext.form.action.Action": [
    "Ext.form.Action"
  ],
  "Ext.form.action.DirectLoad": [
    "Ext.form.Action.DirectLoad"
  ],
  "Ext.form.action.DirectSubmit": [
    "Ext.form.Action.DirectSubmit"
  ],
  "Ext.form.action.Load": [
    "Ext.form.Action.Load"
  ],
  "Ext.form.action.StandardSubmit": [],
  "Ext.form.action.Submit": [
    "Ext.form.Action.Submit"
  ],
  "Ext.form.field.Base": [
    "Ext.form.Field",
    "Ext.form.BaseField"
  ],
  "Ext.form.field.Checkbox": [
    "Ext.form.Checkbox"
  ],
  "Ext.form.field.ComboBox": [
    "Ext.form.ComboBox"
  ],
  "Ext.form.field.Date": [
    "Ext.form.DateField",
    "Ext.form.Date"
  ],
  "Ext.form.field.Display": [
    "Ext.form.DisplayField",
    "Ext.form.Display"
  ],
  "Ext.form.field.Field": [],
  "Ext.form.field.File": [
    "Ext.form.FileUploadField",
    "Ext.ux.form.FileUploadField",
    "Ext.form.File"
  ],
  "Ext.form.field.FileButton": [],
  "Ext.form.field.Hidden": [
    "Ext.form.Hidden"
  ],
  "Ext.form.field.HtmlEditor": [
    "Ext.form.HtmlEditor"
  ],
  "Ext.form.field.Number": [
    "Ext.form.NumberField",
    "Ext.form.Number"
  ],
  "Ext.form.field.Picker": [
    "Ext.form.Picker"
  ],
  "Ext.form.field.Radio": [
    "Ext.form.Radio"
  ],
  "Ext.form.field.Spinner": [
    "Ext.form.Spinner"
  ],
  "Ext.form.field.Tag": [],
  "Ext.form.field.Text": [
    "Ext.form.TextField",
    "Ext.form.Text"
  ],
  "Ext.form.field.TextArea": [
    "Ext.form.TextArea"
  ],
  "Ext.form.field.Time": [
    "Ext.form.TimeField",
    "Ext.form.Time"
  ],
  "Ext.form.field.Trigger": [
    "Ext.form.TriggerField",
    "Ext.form.TwinTriggerField",
    "Ext.form.Trigger"
  ],
  "Ext.form.field.VTypes": [
    "Ext.form.VTypes"
  ],
  "Ext.form.trigger.Component": [],
  "Ext.form.trigger.Spinner": [],
  "Ext.form.trigger.Trigger": [],
  "Ext.fx.Anim": [],
  "Ext.fx.Animation": [],
  "Ext.fx.Animator": [],
  "Ext.fx.CubicBezier": [],
  "Ext.fx.DrawPath": [],
  "Ext.fx.Easing": [],
  "Ext.fx.Manager": [],
  "Ext.fx.PropertyHandler": [],
  "Ext.fx.Queue": [],
  "Ext.fx.Runner": [],
  "Ext.fx.State": [],
  "Ext.fx.animation.Abstract": [],
  "Ext.fx.animation.Cube": [],
  "Ext.fx.animation.Fade": [
    "Ext.fx.animation.FadeIn"
  ],
  "Ext.fx.animation.FadeOut": [],
  "Ext.fx.animation.Flip": [],
  "Ext.fx.animation.Pop": [
    "Ext.fx.animation.PopIn"
  ],
  "Ext.fx.animation.PopOut": [],
  "Ext.fx.animation.Slide": [
    "Ext.fx.animation.SlideIn"
  ],
  "Ext.fx.animation.SlideOut": [],
  "Ext.fx.animation.Wipe": [
    "Ext.fx.animation.WipeIn"
  ],
  "Ext.fx.animation.WipeOut": [],
  "Ext.fx.easing.Abstract": [],
  "Ext.fx.easing.Bounce": [],
  "Ext.fx.easing.BoundMomentum": [],
  "Ext.fx.easing.EaseIn": [],
  "Ext.fx.easing.EaseOut": [],
  "Ext.fx.easing.Easing": [],
  "Ext.fx.easing.Linear": [],
  "Ext.fx.easing.Momentum": [],
  "Ext.fx.layout.Card": [],
  "Ext.fx.layout.card.Abstract": [],
  "Ext.fx.layout.card.Cover": [],
  "Ext.fx.layout.card.Cube": [],
  "Ext.fx.layout.card.Fade": [],
  "Ext.fx.layout.card.Flip": [],
  "Ext.fx.layout.card.Pop": [],
  "Ext.fx.layout.card.Reveal": [],
  "Ext.fx.layout.card.Scroll": [],
  "Ext.fx.layout.card.ScrollCover": [],
  "Ext.fx.layout.card.ScrollReveal": [],
  "Ext.fx.layout.card.Slide": [],
  "Ext.fx.layout.card.Style": [],
  "Ext.fx.runner.Css": [],
  "Ext.fx.runner.CssAnimation": [],
  "Ext.fx.runner.CssTransition": [],
  "Ext.fx.target.Component": [],
  "Ext.fx.target.CompositeElement": [],
  "Ext.fx.target.CompositeElementCSS": [],
  "Ext.fx.target.CompositeSprite": [],
  "Ext.fx.target.Element": [],
  "Ext.fx.target.ElementCSS": [],
  "Ext.fx.target.Sprite": [],
  "Ext.fx.target.Target": [],
  "Ext.grid.CellContext": [],
  "Ext.grid.CellEditor": [],
  "Ext.grid.ColumnComponentLayout": [],
  "Ext.grid.ColumnLayout": [],
  "Ext.grid.ColumnManager": [
    "Ext.grid.ColumnModel"
  ],
  "Ext.grid.Panel": [
    "Ext.list.ListView",
    "Ext.ListView",
    "Ext.grid.GridPanel"
  ],
  "Ext.grid.RowEditor": [],
  "Ext.grid.RowEditorButtons": [],
  "Ext.grid.View": [],
  "Ext.grid.ViewDropZone": [],
  "Ext.grid.column.Action": [
    "Ext.grid.ActionColumn"
  ],
  "Ext.grid.column.Boolean": [
    "Ext.grid.BooleanColumn"
  ],
  "Ext.grid.column.Check": [
    "Ext.ux.CheckColumn",
    "Ext.grid.column.CheckColumn"
  ],
  "Ext.grid.column.Column": [
    "Ext.grid.Column"
  ],
  "Ext.grid.column.Date": [
    "Ext.grid.DateColumn"
  ],
  "Ext.grid.column.Number": [
    "Ext.grid.NumberColumn"
  ],
  "Ext.grid.column.RowNumberer": [
    "Ext.grid.RowNumberer"
  ],
  "Ext.grid.column.Template": [
    "Ext.grid.TemplateColumn"
  ],
  "Ext.grid.column.Widget": [],
  "Ext.grid.feature.AbstractSummary": [],
  "Ext.grid.feature.Feature": [],
  "Ext.grid.feature.GroupStore": [],
  "Ext.grid.feature.Grouping": [],
  "Ext.grid.feature.GroupingSummary": [],
  "Ext.grid.feature.RowBody": [],
  "Ext.grid.feature.Summary": [],
  "Ext.grid.filters.Filters": [],
  "Ext.grid.filters.filter.Base": [],
  "Ext.grid.filters.filter.Boolean": [],
  "Ext.grid.filters.filter.Date": [],
  "Ext.grid.filters.filter.List": [],
  "Ext.grid.filters.filter.Number": [],
  "Ext.grid.filters.filter.SingleFilter": [],
  "Ext.grid.filters.filter.String": [],
  "Ext.grid.filters.filter.TriFilter": [],
  "Ext.grid.header.Container": [],
  "Ext.grid.header.DragZone": [],
  "Ext.grid.header.DropZone": [],
  "Ext.grid.locking.HeaderContainer": [],
  "Ext.grid.locking.Lockable": [
    "Ext.grid.Lockable"
  ],
  "Ext.grid.locking.View": [
    "Ext.grid.LockingView"
  ],
  "Ext.grid.plugin.BufferedRenderer": [],
  "Ext.grid.plugin.CellEditing": [],
  "Ext.grid.plugin.DragDrop": [],
  "Ext.grid.plugin.Editing": [],
  "Ext.grid.plugin.HeaderReorderer": [],
  "Ext.grid.plugin.HeaderResizer": [],
  "Ext.grid.plugin.RowEditing": [],
  "Ext.grid.plugin.RowExpander": [],
  "Ext.grid.property.Grid": [
    "Ext.grid.PropertyGrid"
  ],
  "Ext.grid.property.HeaderContainer": [
    "Ext.grid.PropertyColumnModel"
  ],
  "Ext.grid.property.Property": [
    "Ext.PropGridProperty"
  ],
  "Ext.grid.property.Reader": [],
  "Ext.grid.property.Store": [
    "Ext.grid.PropertyStore"
  ],
  "Ext.layout.ClassList": [],
  "Ext.layout.Context": [],
  "Ext.layout.ContextItem": [],
  "Ext.layout.Layout": [],
  "Ext.layout.SizeModel": [],
  "Ext.layout.component.Auto": [],
  "Ext.layout.component.Body": [],
  "Ext.layout.component.BoundList": [],
  "Ext.layout.component.Component": [],
  "Ext.layout.component.Dock": [
    "Ext.layout.component.AbstractDock"
  ],
  "Ext.layout.component.FieldSet": [],
  "Ext.layout.component.ProgressBar": [],
  "Ext.layout.component.field.FieldContainer": [],
  "Ext.layout.component.field.HtmlEditor": [],
  "Ext.layout.container.Absolute": [
    "Ext.layout.AbsoluteLayout"
  ],
  "Ext.layout.container.Accordion": [
    "Ext.layout.AccordionLayout"
  ],
  "Ext.layout.container.Anchor": [
    "Ext.layout.AnchorLayout"
  ],
  "Ext.layout.container.Auto": [],
  "Ext.layout.container.Border": [
    "Ext.layout.BorderLayout"
  ],
  "Ext.layout.container.Box": [
    "Ext.layout.BoxLayout"
  ],
  "Ext.layout.container.Card": [
    "Ext.layout.CardLayout"
  ],
  "Ext.layout.container.Center": [
    "Ext.ux.layout.Center"
  ],
  "Ext.layout.container.CheckboxGroup": [],
  "Ext.layout.container.Column": [
    "Ext.layout.ColumnLayout"
  ],
  "Ext.layout.container.ColumnSplitter": [],
  "Ext.layout.container.ColumnSplitterTracker": [],
  "Ext.layout.container.Container": [
    "Ext.layout.ContainerLayout"
  ],
  "Ext.layout.container.Editor": [],
  "Ext.layout.container.Fit": [
    "Ext.layout.FitLayout"
  ],
  "Ext.layout.container.Form": [
    "Ext.layout.FormLayout"
  ],
  "Ext.layout.container.HBox": [
    "Ext.layout.HBoxLayout"
  ],
  "Ext.layout.container.SegmentedButton": [],
  "Ext.layout.container.SplitColumn": [],
  "Ext.layout.container.Table": [
    "Ext.layout.TableLayout"
  ],
  "Ext.layout.container.VBox": [
    "Ext.layout.VBoxLayout"
  ],
  "Ext.layout.container.border.Region": [],
  "Ext.layout.container.boxOverflow.Menu": [
    "Ext.layout.boxOverflow.Menu"
  ],
  "Ext.layout.container.boxOverflow.None": [
    "Ext.layout.boxOverflow.None"
  ],
  "Ext.layout.container.boxOverflow.Scroller": [
    "Ext.layout.boxOverflow.Scroller"
  ],
  "Ext.locale.container.Viewport": [],
  "Ext.locale.he.Component": [],
  "Ext.locale.he.form.field.Base": [],
  "Ext.locale.he.form.field.ComboBox": [],
  "Ext.locale.he.form.field.Date": [],
  "Ext.locale.he.form.field.HtmlEditor": [],
  "Ext.locale.he.form.field.Number": [],
  "Ext.locale.he.form.field.Text": [],
  "Ext.locale.he.form.field.VTypes": [],
  "Ext.locale.he.grid.GroupingFeature": [],
  "Ext.locale.he.grid.PropertyColumnModel": [],
  "Ext.locale.he.grid.header.Container": [],
  "Ext.locale.he.grid.plugin.DragDrop": [],
  "Ext.locale.he.picker.Date": [],
  "Ext.locale.he.picker.Month": [],
  "Ext.locale.he.tab.Tab": [],
  "Ext.locale.he.toolbar.Paging": [],
  "Ext.locale.he.view.AbstractView": [],
  "Ext.locale.he.view.View": [],
  "Ext.locale.he.window.MessageBox": [],
  "Ext.menu.CheckItem": [],
  "Ext.menu.ColorPicker": [],
  "Ext.menu.DatePicker": [],
  "Ext.menu.Item": [
    "Ext.menu.TextItem"
  ],
  "Ext.menu.KeyNav": [],
  "Ext.menu.Manager": [
    "Ext.menu.MenuMgr"
  ],
  "Ext.menu.Menu": [],
  "Ext.menu.Separator": [],
  "Ext.mixin.Bindable": [],
  "Ext.mixin.Factoryable": [],
  "Ext.mixin.Hookable": [],
  "Ext.mixin.Identifiable": [],
  "Ext.mixin.Inheritable": [],
  "Ext.mixin.Mashup": [],
  "Ext.mixin.Observable": [],
  "Ext.mixin.Queryable": [],
  "Ext.mixin.Responsive": [],
  "Ext.mixin.Selectable": [],
  "Ext.mixin.Templatable": [],
  "Ext.mixin.Traversable": [],
  "Ext.overrides.GlobalEvents": [],
  "Ext.overrides.Widget": [],
  "Ext.overrides.app.Application": [],
  "Ext.overrides.dom.Element": [],
  "Ext.overrides.dom.Helper": [],
  "Ext.overrides.event.Event": [],
  "Ext.overrides.event.publisher.Dom": [],
  "Ext.overrides.event.publisher.Gesture": [],
  "Ext.overrides.util.Positionable": [],
  "Ext.panel.Bar": [],
  "Ext.panel.DD": [],
  "Ext.panel.Header": [],
  "Ext.panel.Panel": [
    "Ext.Panel"
  ],
  "Ext.panel.Pinnable": [],
  "Ext.panel.Proxy": [
    "Ext.dd.PanelProxy"
  ],
  "Ext.panel.Table": [],
  "Ext.panel.Title": [],
  "Ext.panel.Tool": [],
  "Ext.perf.Accumulator": [],
  "Ext.perf.Monitor": [
    "Ext.Perf"
  ],
  "Ext.picker.Color": [
    "Ext.ColorPalette"
  ],
  "Ext.picker.Date": [
    "Ext.DatePicker"
  ],
  "Ext.picker.Month": [
    "Ext.MonthPicker"
  ],
  "Ext.picker.Time": [],
  "Ext.plugin.Abstract": [
    "Ext.AbstractPlugin"
  ],
  "Ext.plugin.Manager": [
    "Ext.PluginManager",
    "Ext.PluginMgr"
  ],
  "Ext.plugin.Responsive": [],
  "Ext.plugin.Viewport": [],
  "Ext.resizer.BorderSplitter": [],
  "Ext.resizer.BorderSplitterTracker": [],
  "Ext.resizer.Handle": [],
  "Ext.resizer.ResizeTracker": [],
  "Ext.resizer.Resizer": [
    "Ext.Resizable"
  ],
  "Ext.resizer.Splitter": [],
  "Ext.resizer.SplitterTracker": [],
  "Ext.rtl.Component": [],
  "Ext.rtl.button.Button": [],
  "Ext.rtl.button.Segmented": [],
  "Ext.rtl.dd.DD": [],
  "Ext.rtl.dom.Element": [],
  "Ext.rtl.dom.Layer": [],
  "Ext.rtl.event.Event": [],
  "Ext.rtl.form.Labelable": [],
  "Ext.rtl.form.field.Checkbox": [],
  "Ext.rtl.form.field.File": [],
  "Ext.rtl.form.field.FileButton": [],
  "Ext.rtl.form.field.Spinner": [],
  "Ext.rtl.grid.CellEditor": [],
  "Ext.rtl.grid.ColumnLayout": [],
  "Ext.rtl.grid.RowEditor": [],
  "Ext.rtl.grid.column.Column": [],
  "Ext.rtl.grid.feature.Summary": [],
  "Ext.rtl.grid.plugin.HeaderResizer": [],
  "Ext.rtl.grid.plugin.RowEditing": [],
  "Ext.rtl.layout.ContextItem": [],
  "Ext.rtl.layout.component.Dock": [],
  "Ext.rtl.layout.container.Absolute": [],
  "Ext.rtl.layout.container.Border": [],
  "Ext.rtl.layout.container.Box": [],
  "Ext.rtl.layout.container.Column": [],
  "Ext.rtl.layout.container.HBox": [],
  "Ext.rtl.layout.container.VBox": [],
  "Ext.rtl.layout.container.boxOverflow.Menu": [],
  "Ext.rtl.layout.container.boxOverflow.Scroller": [],
  "Ext.rtl.panel.Bar": [],
  "Ext.rtl.panel.Panel": [],
  "Ext.rtl.panel.Title": [],
  "Ext.rtl.resizer.BorderSplitterTracker": [],
  "Ext.rtl.resizer.ResizeTracker": [],
  "Ext.rtl.resizer.SplitterTracker": [],
  "Ext.rtl.scroll.Manager": [],
  "Ext.rtl.scroll.Scroller": [],
  "Ext.rtl.selection.CellModel": [],
  "Ext.rtl.selection.TreeModel": [],
  "Ext.rtl.slider.Multi": [],
  "Ext.rtl.tab.Bar": [],
  "Ext.rtl.tip.QuickTipManager": [],
  "Ext.rtl.tree.Column": [],
  "Ext.rtl.util.Floating": [],
  "Ext.rtl.util.Renderable": [],
  "Ext.rtl.view.Table": [],
  "Ext.scroll.Indicator": [],
  "Ext.scroll.Manager": [],
  "Ext.scroll.Scroller": [],
  "Ext.selection.CellModel": [],
  "Ext.selection.CheckboxModel": [],
  "Ext.selection.DataViewModel": [],
  "Ext.selection.Model": [
    "Ext.AbstractSelectionModel"
  ],
  "Ext.selection.RowModel": [],
  "Ext.selection.TreeModel": [],
  "Ext.slider.Multi": [
    "Ext.slider.MultiSlider"
  ],
  "Ext.slider.Single": [
    "Ext.Slider",
    "Ext.form.SliderField",
    "Ext.slider.SingleSlider",
    "Ext.slider.Slider"
  ],
  "Ext.slider.Thumb": [],
  "Ext.slider.Tip": [],
  "Ext.slider.Widget": [],
  "Ext.sparkline.Bar": [],
  "Ext.sparkline.BarBase": [],
  "Ext.sparkline.Base": [],
  "Ext.sparkline.Box": [],
  "Ext.sparkline.Bullet": [],
  "Ext.sparkline.CanvasBase": [],
  "Ext.sparkline.CanvasCanvas": [],
  "Ext.sparkline.Discrete": [],
  "Ext.sparkline.Line": [],
  "Ext.sparkline.Pie": [],
  "Ext.sparkline.RangeMap": [],
  "Ext.sparkline.Shape": [],
  "Ext.sparkline.TriState": [],
  "Ext.sparkline.VmlCanvas": [],
  "Ext.state.CookieProvider": [],
  "Ext.state.LocalStorageProvider": [],
  "Ext.state.Manager": [],
  "Ext.state.Provider": [],
  "Ext.state.Stateful": [],
  "Ext.tab.Bar": [],
  "Ext.tab.Panel": [
    "Ext.TabPanel"
  ],
  "Ext.tab.Tab": [],
  "Ext.tip.QuickTip": [
    "Ext.QuickTip"
  ],
  "Ext.tip.QuickTipManager": [
    "Ext.QuickTips"
  ],
  "Ext.tip.Tip": [
    "Ext.Tip"
  ],
  "Ext.tip.ToolTip": [
    "Ext.ToolTip"
  ],
  "Ext.toolbar.Breadcrumb": [],
  "Ext.toolbar.Fill": [
    "Ext.Toolbar.Fill"
  ],
  "Ext.toolbar.Item": [
    "Ext.Toolbar.Item"
  ],
  "Ext.toolbar.Paging": [
    "Ext.PagingToolbar"
  ],
  "Ext.toolbar.Separator": [
    "Ext.Toolbar.Separator"
  ],
  "Ext.toolbar.Spacer": [
    "Ext.Toolbar.Spacer"
  ],
  "Ext.toolbar.TextItem": [
    "Ext.Toolbar.TextItem"
  ],
  "Ext.toolbar.Toolbar": [
    "Ext.Toolbar"
  ],
  "Ext.touch.sizing.form.trigger.Spinner": [],
  "Ext.touch.sizing.grid.plugin.RowExpander": [],
  "Ext.touch.sizing.resizer.Splitter": [],
  "Ext.touch.sizing.selection.CheckboxModel": [],
  "Ext.tree.Column": [],
  "Ext.tree.Panel": [
    "Ext.tree.TreePanel",
    "Ext.TreePanel"
  ],
  "Ext.tree.View": [],
  "Ext.tree.ViewDragZone": [],
  "Ext.tree.ViewDropZone": [],
  "Ext.tree.plugin.TreeViewDragDrop": [],
  "Ext.util.AbstractMixedCollection": [],
  "Ext.util.Animate": [],
  "Ext.util.Base64": [],
  "Ext.util.CSS": [],
  "Ext.util.ClickRepeater": [],
  "Ext.util.Collection": [],
  "Ext.util.CollectionKey": [],
  "Ext.util.ComponentDragger": [],
  "Ext.util.Cookies": [],
  "Ext.util.ElementContainer": [],
  "Ext.util.Event": [],
  "Ext.util.Filter": [],
  "Ext.util.FilterCollection": [],
  "Ext.util.Floating": [],
  "Ext.util.Group": [],
  "Ext.util.GroupCollection": [],
  "Ext.util.Grouper": [],
  "Ext.util.HashMap": [],
  "Ext.util.History": [
    "Ext.History"
  ],
  "Ext.util.Inflector": [],
  "Ext.util.KeyMap": [
    "Ext.KeyMap"
  ],
  "Ext.util.KeyNav": [
    "Ext.KeyNav"
  ],
  "Ext.util.LocalStorage": [],
  "Ext.util.LruCache": [],
  "Ext.util.Memento": [],
  "Ext.util.MixedCollection": [],
  "Ext.util.ObjectTemplate": [],
  "Ext.util.Observable": [],
  "Ext.util.Offset": [],
  "Ext.util.PaintMonitor": [],
  "Ext.util.Point": [],
  "Ext.util.Positionable": [],
  "Ext.util.ProtoElement": [],
  "Ext.util.Queue": [],
  "Ext.util.Region": [],
  "Ext.util.Renderable": [],
  "Ext.util.Schedulable": [],
  "Ext.util.Scheduler": [],
  "Ext.util.SizeMonitor": [],
  "Ext.util.Sortable": [],
  "Ext.util.Sorter": [],
  "Ext.util.SorterCollection": [],
  "Ext.util.StoreHolder": [],
  "Ext.util.TaskManager": [
    "Ext.TaskManager"
  ],
  "Ext.util.TaskRunner": [],
  "Ext.util.TextMetrics": [],
  "Ext.util.Translatable": [],
  "Ext.util.XTemplateCompiler": [],
  "Ext.util.XTemplateParser": [],
  "Ext.util.paintmonitor.Abstract": [],
  "Ext.util.paintmonitor.CssAnimation": [],
  "Ext.util.paintmonitor.OverflowChange": [],
  "Ext.util.sizemonitor.Abstract": [],
  "Ext.util.sizemonitor.Default": [],
  "Ext.util.sizemonitor.OverflowChange": [],
  "Ext.util.sizemonitor.Scroll": [],
  "Ext.util.translatable.Abstract": [],
  "Ext.util.translatable.CssPosition": [],
  "Ext.util.translatable.CssTransform": [],
  "Ext.util.translatable.Dom": [],
  "Ext.util.translatable.ScrollParent": [],
  "Ext.util.translatable.ScrollPosition": [],
  "Ext.ux.BoxReorderer": [],
  "Ext.ux.CellDragDrop": [],
  "Ext.ux.DataTip": [],
  "Ext.ux.DataView.Animated": [],
  "Ext.ux.DataView.DragSelector": [],
  "Ext.ux.DataView.Draggable": [],
  "Ext.ux.DataView.LabelEditor": [],
  "Ext.ux.Explorer": [],
  "Ext.ux.FieldReplicator": [],
  "Ext.ux.GMapPanel": [],
  "Ext.ux.GroupTabPanel": [],
  "Ext.ux.GroupTabRenderer": [],
  "Ext.ux.IFrame": [],
  "Ext.ux.LiveSearchGridPanel": [],
  "Ext.ux.PreviewPlugin": [],
  "Ext.ux.ProgressBarPager": [],
  "Ext.ux.RowExpander": [],
  "Ext.ux.SlidingPager": [],
  "Ext.ux.Spotlight": [],
  "Ext.ux.TabCloseMenu": [],
  "Ext.ux.TabReorderer": [],
  "Ext.ux.TabScrollerMenu": [],
  "Ext.ux.ToolbarDroppable": [],
  "Ext.ux.TreePicker": [],
  "Ext.ux.ajax.DataSimlet": [],
  "Ext.ux.ajax.JsonSimlet": [],
  "Ext.ux.ajax.SimManager": [],
  "Ext.ux.ajax.SimXhr": [],
  "Ext.ux.ajax.Simlet": [],
  "Ext.ux.ajax.XmlSimlet": [],
  "Ext.ux.dashboard.GoogleRssPart": [],
  "Ext.ux.dashboard.GoogleRssView": [],
  "Ext.ux.data.PagingMemoryProxy": [
    "Ext.data.PagingMemoryProxy"
  ],
  "Ext.ux.dd.CellFieldDropZone": [],
  "Ext.ux.dd.PanelFieldDragZone": [],
  "Ext.ux.desktop.App": [],
  "Ext.ux.desktop.Desktop": [],
  "Ext.ux.desktop.Module": [],
  "Ext.ux.desktop.ShortcutModel": [],
  "Ext.ux.desktop.StartMenu": [],
  "Ext.ux.desktop.TaskBar": [],
  "Ext.ux.desktop.TrayClock": [],
  "Ext.ux.desktop.Video": [],
  "Ext.ux.desktop.Wallpaper": [],
  "Ext.ux.event.Driver": [],
  "Ext.ux.event.Maker": [],
  "Ext.ux.event.Player": [],
  "Ext.ux.event.Recorder": [],
  "Ext.ux.event.RecorderManager": [],
  "Ext.ux.form.ItemSelector": [
    "Ext.ux.ItemSelector"
  ],
  "Ext.ux.form.MultiSelect": [
    "Ext.ux.Multiselect"
  ],
  "Ext.ux.form.SearchField": [],
  "Ext.ux.google.Api": [],
  "Ext.ux.google.Feeds": [],
  "Ext.ux.grid.SubTable": [],
  "Ext.ux.grid.TransformGrid": [],
  "Ext.ux.statusbar.StatusBar": [
    "Ext.ux.StatusBar"
  ],
  "Ext.ux.statusbar.ValidationStatus": [],
  "Ext.view.AbstractView": [],
  "Ext.view.BoundList": [
    "Ext.BoundList"
  ],
  "Ext.view.BoundListKeyNav": [],
  "Ext.view.DragZone": [],
  "Ext.view.DropZone": [],
  "Ext.view.MultiSelector": [],
  "Ext.view.MultiSelectorSearch": [],
  "Ext.view.NodeCache": [],
  "Ext.view.Table": [],
  "Ext.view.TableLayout": [],
  "Ext.view.View": [
    "Ext.DataView"
  ],
  "Ext.window.MessageBox": [],
  "Ext.window.Toast": [],
  "Ext.window.Window": [
    "Ext.Window"
  ],
  "ExtThemeNeptune.Component": [],
  "ExtThemeNeptune.container.ButtonGroup": [],
  "ExtThemeNeptune.form.field.HtmlEditor": [],
  "ExtThemeNeptune.grid.RowEditor": [],
  "ExtThemeNeptune.grid.column.RowNumberer": [],
  "ExtThemeNeptune.layout.component.Dock": [],
  "ExtThemeNeptune.menu.Menu": [],
  "ExtThemeNeptune.menu.Separator": [],
  "ExtThemeNeptune.panel.Panel": [],
  "ExtThemeNeptune.panel.Table": [],
  "ExtThemeNeptune.picker.Month": [],
  "ExtThemeNeptune.resizer.Splitter": [],
  "ExtThemeNeptune.toolbar.Paging": [],
  "ExtThemeNeptune.toolbar.Toolbar": [],
  "KitchenSink.AdvancedVType": [],
  "KitchenSink.Application": [],
  "KitchenSink.DummyText": [],
  "KitchenSink.controller.Global": [],
  "KitchenSink.data.BigData": [],
  "KitchenSink.data.CountryState": [],
  "KitchenSink.data.Customer": [],
  "KitchenSink.data.DataSets": [],
  "KitchenSink.data.Employees": [],
  "KitchenSink.data.FileTree": [],
  "KitchenSink.data.GeoData": [],
  "KitchenSink.data.Init": [],
  "KitchenSink.data.Order": [],
  "KitchenSink.data.Posts": [],
  "KitchenSink.locale.DummyText": [],
  "KitchenSink.locale.store.Navigation": [],
  "KitchenSink.locale.view.CodePreview": [],
  "KitchenSink.locale.view.CodeRegion": [],
  "KitchenSink.locale.view.DescriptionPanel": [],
  "KitchenSink.locale.view.Header": [],
  "KitchenSink.model.Base": [],
  "KitchenSink.model.Company": [],
  "KitchenSink.model.Customer": [],
  "KitchenSink.model.Order": [],
  "KitchenSink.model.Pangram": [],
  "KitchenSink.model.PartTimeEmployee": [],
  "KitchenSink.model.Person": [],
  "KitchenSink.model.Pie": [],
  "KitchenSink.model.Restaurant": [],
  "KitchenSink.model.SoapBook": [],
  "KitchenSink.model.StandardChart": [],
  "KitchenSink.model.State": [],
  "KitchenSink.model.StockPrice": [],
  "KitchenSink.model.USD2EUR": [],
  "KitchenSink.model.Widget": [],
  "KitchenSink.model.dd.Simple": [],
  "KitchenSink.model.field.PhoneNumber": [],
  "KitchenSink.model.form.Contact": [],
  "KitchenSink.model.form.FieldError": [],
  "KitchenSink.model.form.ForumPost": [],
  "KitchenSink.model.grid.Book": [],
  "KitchenSink.model.grid.Employee": [],
  "KitchenSink.model.grid.Financial": [],
  "KitchenSink.model.grid.ForumThread": [],
  "KitchenSink.model.grid.Office": [],
  "KitchenSink.model.grid.Plant": [],
  "KitchenSink.model.grid.Product": [],
  "KitchenSink.model.tree.Base": [],
  "KitchenSink.model.tree.City": [],
  "KitchenSink.model.tree.Country": [],
  "KitchenSink.model.tree.Post": [],
  "KitchenSink.model.tree.Task": [],
  "KitchenSink.model.tree.Territory": [],
  "KitchenSink.store.BigData": [],
  "KitchenSink.store.Books": [],
  "KitchenSink.store.Climate": [],
  "KitchenSink.store.Companies": [],
  "KitchenSink.store.Countries": [],
  "KitchenSink.store.CountryStates": [],
  "KitchenSink.store.DeviceMarketShare": [],
  "KitchenSink.store.Files": [],
  "KitchenSink.store.ForumThreads": [],
  "KitchenSink.store.Gauges": [],
  "KitchenSink.store.GeoData": [],
  "KitchenSink.store.Navigation": [],
  "KitchenSink.store.Pie": [],
  "KitchenSink.store.Plot": [],
  "KitchenSink.store.Posts": [],
  "KitchenSink.store.Products": [],
  "KitchenSink.store.Restaurants": [],
  "KitchenSink.store.StandardCharts": [],
  "KitchenSink.store.States": [],
  "KitchenSink.store.StockPrice": [],
  "KitchenSink.store.Thumbnails": [],
  "KitchenSink.store.USD2EUR": [],
  "KitchenSink.store.Widgets": [],
  "KitchenSink.store.form.ForumPosts": [],
  "KitchenSink.view.CodeContent": [],
  "KitchenSink.view.CodePreview": [],
  "KitchenSink.view.ContentPanel": [],
  "KitchenSink.view.FreeDrawComponent": [],
  "KitchenSink.view.Header": [],
  "KitchenSink.view.ThemeSwitcher": [],
  "KitchenSink.view.binding.Associations": [],
  "KitchenSink.view.binding.ChainedStores": [],
  "KitchenSink.view.binding.ChainedStoresController": [],
  "KitchenSink.view.binding.ChainedStoresModel": [],
  "KitchenSink.view.binding.ChildSession": [],
  "KitchenSink.view.binding.ChildSessionController": [],
  "KitchenSink.view.binding.ChildSessionForm": [],
  "KitchenSink.view.binding.ChildSessionModel": [],
  "KitchenSink.view.binding.ComboChaining": [],
  "KitchenSink.view.binding.ComponentState": [],
  "KitchenSink.view.binding.Dynamic": [],
  "KitchenSink.view.binding.DynamicController": [],
  "KitchenSink.view.binding.FieldValidation": [],
  "KitchenSink.view.binding.Formulas": [],
  "KitchenSink.view.binding.FormulasModel": [],
  "KitchenSink.view.binding.GridForm": [],
  "KitchenSink.view.binding.HelloWorld": [],
  "KitchenSink.view.binding.ModelValidation": [],
  "KitchenSink.view.binding.SliderWidget": [],
  "KitchenSink.view.binding.TwoWay": [],
  "KitchenSink.view.binding.TwoWayFormulas": [],
  "KitchenSink.view.binding.TwoWayFormulasModel": [],
  "KitchenSink.view.button.BasicButtons": [],
  "KitchenSink.view.button.LeftTextButtons": [],
  "KitchenSink.view.button.LinkButtons": [],
  "KitchenSink.view.button.MenuBottomButtons": [],
  "KitchenSink.view.button.MenuButtons": [],
  "KitchenSink.view.button.RightTextButtons": [],
  "KitchenSink.view.button.SegmentedButtons": [],
  "KitchenSink.view.button.SplitBottomButtons": [],
  "KitchenSink.view.button.SplitButtons": [],
  "KitchenSink.view.button.ToggleButtons": [],
  "KitchenSink.view.button.VerticalSegmentedButtons": [],
  "KitchenSink.view.charts.area.Area3D": [],
  "KitchenSink.view.charts.area.Basic": [],
  "KitchenSink.view.charts.area.Stacked": [],
  "KitchenSink.view.charts.area.Stacked100": [],
  "KitchenSink.view.charts.bar.Bar3D": [],
  "KitchenSink.view.charts.bar.Basic": [],
  "KitchenSink.view.charts.bar.Stacked": [],
  "KitchenSink.view.charts.bar.Stacked100": [],
  "KitchenSink.view.charts.bubble.Basic": [],
  "KitchenSink.view.charts.bubble.Bubble3D": [],
  "KitchenSink.view.charts.column.Basic": [],
  "KitchenSink.view.charts.column.Column3D": [],
  "KitchenSink.view.charts.column.MultiAxis": [],
  "KitchenSink.view.charts.column.Renderer": [],
  "KitchenSink.view.charts.column.Stacked": [],
  "KitchenSink.view.charts.column.Stacked100": [],
  "KitchenSink.view.charts.combination.BindingTabs": [],
  "KitchenSink.view.charts.combination.CustomTheme": [],
  "KitchenSink.view.charts.combination.Dashboard": [],
  "KitchenSink.view.charts.combination.LiveDashboard": [],
  "KitchenSink.view.charts.combination.Pareto": [],
  "KitchenSink.view.charts.donut.Exploded": [],
  "KitchenSink.view.charts.financial.Candlestick": [],
  "KitchenSink.view.charts.financial.OHLC": [],
  "KitchenSink.view.charts.gauge.Basic": [],
  "KitchenSink.view.charts.gauge.BasicModel": [],
  "KitchenSink.view.charts.line.Basic": [],
  "KitchenSink.view.charts.line.ImageMarkers": [],
  "KitchenSink.view.charts.line.Marked": [],
  "KitchenSink.view.charts.line.MarkedSpline": [],
  "KitchenSink.view.charts.line.Plot": [],
  "KitchenSink.view.charts.line.Spline": [],
  "KitchenSink.view.charts.line.Stacked": [],
  "KitchenSink.view.charts.other.Animated": [],
  "KitchenSink.view.charts.other.LiveUpdates": [],
  "KitchenSink.view.charts.other.Reload": [],
  "KitchenSink.view.charts.other.TipCharts": [],
  "KitchenSink.view.charts.pie.Basic": [],
  "KitchenSink.view.charts.pie.Custom": [],
  "KitchenSink.view.charts.pie.Donut": [],
  "KitchenSink.view.charts.pie.Exploded": [],
  "KitchenSink.view.charts.pie.Pie3D": [],
  "KitchenSink.view.charts.pie.PieExploded3D": [],
  "KitchenSink.view.charts.radial.Basic": [],
  "KitchenSink.view.charts.radial.Filled": [],
  "KitchenSink.view.charts.radial.Marked": [],
  "KitchenSink.view.charts.radial.MultiAxis": [],
  "KitchenSink.view.charts.scatter.Basic": [],
  "KitchenSink.view.charts.scatter.Bubble": [],
  "KitchenSink.view.charts.scatter.CustomIcons": [],
  "KitchenSink.view.charts.touch.ColumnSeries3D": [],
  "KitchenSink.view.charts.touch.ColumnSprite3D": [],
  "KitchenSink.view.charts.touch.CrossZoom": [],
  "KitchenSink.view.charts.touch.FreeDraw": [],
  "KitchenSink.view.charts.touch.Renderer": [],
  "KitchenSink.view.dataview.MultiSort": [],
  "KitchenSink.view.dataview.MultiSortButton": [],
  "KitchenSink.view.dd.FieldToGrid": [],
  "KitchenSink.view.dd.GridToForm": [],
  "KitchenSink.view.dd.GridToGrid": [],
  "KitchenSink.view.enterprise.AmfGrid": [],
  "KitchenSink.view.enterprise.SoapGrid": [],
  "KitchenSink.view.form.AdvancedVTypes": [],
  "KitchenSink.view.form.AdvancedVTypesController": [],
  "KitchenSink.view.form.CheckboxGroupController": [],
  "KitchenSink.view.form.CheckboxGroupForm": [],
  "KitchenSink.view.form.Checkout": [],
  "KitchenSink.view.form.Comboboxes": [],
  "KitchenSink.view.form.ComboboxesController": [],
  "KitchenSink.view.form.ContactForm": [],
  "KitchenSink.view.form.ContactFormController": [],
  "KitchenSink.view.form.ContactFormWindow": [],
  "KitchenSink.view.form.CustomErrorHandling": [],
  "KitchenSink.view.form.CustomErrorHandlingController": [],
  "KitchenSink.view.form.CustomFields": [],
  "KitchenSink.view.form.Date": [],
  "KitchenSink.view.form.FieldContainer": [],
  "KitchenSink.view.form.FieldContainerController": [],
  "KitchenSink.view.form.FieldReplicator": [],
  "KitchenSink.view.form.FieldTypes": [],
  "KitchenSink.view.form.FileUploads": [],
  "KitchenSink.view.form.FileUploadsController": [],
  "KitchenSink.view.form.FormGrid": [],
  "KitchenSink.view.form.ForumSearch": [],
  "KitchenSink.view.form.HBoxLayoutForm": [],
  "KitchenSink.view.form.LoginForm": [],
  "KitchenSink.view.form.MultiColumn": [],
  "KitchenSink.view.form.Number": [],
  "KitchenSink.view.form.RadioGroupForm": [],
  "KitchenSink.view.form.RegisterForm": [],
  "KitchenSink.view.form.SliderField": [],
  "KitchenSink.view.form.Tag": [],
  "KitchenSink.view.form.VBoxLayoutForm": [],
  "KitchenSink.view.form.XmlForm": [],
  "KitchenSink.view.form.XmlFormController": [],
  "KitchenSink.view.grid.ArrayGrid": [],
  "KitchenSink.view.grid.BigData": [],
  "KitchenSink.view.grid.BigDataController": [],
  "KitchenSink.view.grid.CellEditing": [],
  "KitchenSink.view.grid.CustomerGrid": [],
  "KitchenSink.view.grid.GridFiltering": [],
  "KitchenSink.view.grid.GridPlugins": [],
  "KitchenSink.view.grid.GroupedGrid": [],
  "KitchenSink.view.grid.GroupedHeaderGrid": [],
  "KitchenSink.view.grid.LockingGrid": [],
  "KitchenSink.view.grid.MultiSelector": [],
  "KitchenSink.view.grid.MultipleSorting": [],
  "KitchenSink.view.grid.Paging": [],
  "KitchenSink.view.grid.ProgressBarPager": [],
  "KitchenSink.view.grid.PropertyGrid": [],
  "KitchenSink.view.grid.Reconfigure": [],
  "KitchenSink.view.grid.RowExpander": [],
  "KitchenSink.view.grid.SlidingPager": [],
  "KitchenSink.view.grid.WidgetGrid": [],
  "KitchenSink.view.grid.XmlGrid": [],
  "KitchenSink.view.layout.Absolute": [],
  "KitchenSink.view.layout.Accordion": [],
  "KitchenSink.view.layout.Border": [],
  "KitchenSink.view.layout.Card": [],
  "KitchenSink.view.layout.CardTabs": [],
  "KitchenSink.view.layout.Center": [],
  "KitchenSink.view.layout.Column": [],
  "KitchenSink.view.layout.Fit": [],
  "KitchenSink.view.layout.HorizontalBox": [],
  "KitchenSink.view.layout.Table": [],
  "KitchenSink.view.layout.VerticalBox": [],
  "KitchenSink.view.main.Main": [],
  "KitchenSink.view.main.MainController": [],
  "KitchenSink.view.main.MainModel": [],
  "KitchenSink.view.navigation.Breadcrumb": [],
  "KitchenSink.view.navigation.Tree": [],
  "KitchenSink.view.panel.BasicPanels": [],
  "KitchenSink.view.panel.FramedPanels": [],
  "KitchenSink.view.panel.HeaderPosition": [],
  "KitchenSink.view.tab.AdvancedTabs": [],
  "KitchenSink.view.tab.AdvancedTabsController": [],
  "KitchenSink.view.tab.AjaxTabs": [],
  "KitchenSink.view.tab.AjaxTabsController": [],
  "KitchenSink.view.tab.BasicTabs": [],
  "KitchenSink.view.tab.FramedTabs": [],
  "KitchenSink.view.tab.HeaderTabs": [],
  "KitchenSink.view.tab.IconTabs": [],
  "KitchenSink.view.tab.NavigationTabs": [],
  "KitchenSink.view.tab.PlainTabs": [],
  "KitchenSink.view.tab.ReorderableTabs": [],
  "KitchenSink.view.tab.ReorderableTabsController": [],
  "KitchenSink.view.tab.SideNavigationTabs": [],
  "KitchenSink.view.tab.TabController": [],
  "KitchenSink.view.thumbnails.Thumbnails": [],
  "KitchenSink.view.toolbar.BasicToolbar": [],
  "KitchenSink.view.toolbar.Breadcrumb": [],
  "KitchenSink.view.toolbar.DockedToolbars": [],
  "KitchenSink.view.tree.BasicTrees": [],
  "KitchenSink.view.tree.CheckTree": [],
  "KitchenSink.view.tree.FilteredTree": [],
  "KitchenSink.view.tree.HeterogeneousTree": [],
  "KitchenSink.view.tree.Reorder": [],
  "KitchenSink.view.tree.TreeGrid": [],
  "KitchenSink.view.tree.TwoTrees": [],
  "KitchenSink.view.tree.XmlTree": [],
  "KitchenSink.view.window.BasicWindow": [],
  "KitchenSink.view.window.MessageBox": [],
  "KitchenSink.view.window.MessageBoxController": []
});
Ext.ClassManager.addNameAliasMappings({
  "Ext.AbstractManager": [],
  "Ext.Action": [],
  "Ext.Ajax": [],
  "Ext.AnimationQueue": [],
  "Ext.Component": [
    "widget.box",
    "widget.component"
  ],
  "Ext.ComponentLoader": [],
  "Ext.ComponentManager": [],
  "Ext.ComponentQuery": [],
  "Ext.Editor": [
    "widget.editor"
  ],
  "Ext.ElementLoader": [],
  "Ext.EventManager": [],
  "Ext.Evented": [],
  "Ext.FocusManager": [],
  "Ext.GlobalEvents": [],
  "Ext.Img": [
    "widget.image",
    "widget.imagecomponent"
  ],
  "Ext.LoadMask": [
    "widget.loadmask"
  ],
  "Ext.Mixin": [],
  "Ext.ProgressBar": [
    "widget.progressbar"
  ],
  "Ext.ProgressBarWidget": [
    "widget.progressbarwidget"
  ],
  "Ext.Shadow": [],
  "Ext.ShadowPool": [],
  "Ext.TaskQueue": [],
  "Ext.Widget": [
    "widget.widget"
  ],
  "Ext.XTemplate": [],
  "Ext.ZIndexManager": [],
  "Ext.app.Application": [],
  "Ext.app.BaseController": [],
  "Ext.app.Controller": [],
  "Ext.app.EventBus": [],
  "Ext.app.EventDomain": [],
  "Ext.app.Util": [],
  "Ext.app.ViewController": [],
  "Ext.app.ViewModel": [
    "viewmodel.default"
  ],
  "Ext.app.bind.AbstractStub": [],
  "Ext.app.bind.BaseBinding": [],
  "Ext.app.bind.Binding": [],
  "Ext.app.bind.Formula": [],
  "Ext.app.bind.LinkStub": [],
  "Ext.app.bind.Multi": [],
  "Ext.app.bind.RootStub": [],
  "Ext.app.bind.Stub": [],
  "Ext.app.bind.Template": [],
  "Ext.app.bind.TemplateBinding": [],
  "Ext.app.bindinspector.ComponentDetail": [
    "widget.bindinspector-componentdetail"
  ],
  "Ext.app.bindinspector.ComponentList": [
    "widget.bindinspector-componentlist"
  ],
  "Ext.app.bindinspector.Container": [
    "widget.bindinspector-container"
  ],
  "Ext.app.bindinspector.Environment": [],
  "Ext.app.bindinspector.Inspector": [],
  "Ext.app.bindinspector.Util": [],
  "Ext.app.bindinspector.ViewModelDetail": [
    "widget.bindinspector-viewmodeldetail"
  ],
  "Ext.app.bindinspector.noconflict.BaseModel": [],
  "Ext.app.domain.Component": [],
  "Ext.app.domain.Controller": [],
  "Ext.app.domain.Direct": [],
  "Ext.app.domain.Global": [],
  "Ext.app.domain.Store": [],
  "Ext.app.domain.View": [],
  "Ext.app.route.Queue": [],
  "Ext.app.route.Route": [],
  "Ext.app.route.Router": [],
  "Ext.button.Button": [
    "widget.button"
  ],
  "Ext.button.Cycle": [
    "widget.cycle"
  ],
  "Ext.button.Manager": [],
  "Ext.button.Segmented": [
    "widget.segmentedbutton"
  ],
  "Ext.button.Split": [
    "widget.splitbutton"
  ],
  "Ext.chart.AbstractChart": [],
  "Ext.chart.CartesianChart": [
    "widget.cartesian",
    "widget.chart"
  ],
  "Ext.chart.Legend": [
    "widget.legend"
  ],
  "Ext.chart.LegendBase": [],
  "Ext.chart.MarkerHolder": [],
  "Ext.chart.Markers": [],
  "Ext.chart.PolarChart": [
    "widget.polar"
  ],
  "Ext.chart.SpaceFillingChart": [
    "widget.spacefilling"
  ],
  "Ext.chart.TipSurface": [],
  "Ext.chart.axis.Axis": [
    "widget.axis"
  ],
  "Ext.chart.axis.Category": [
    "axis.category"
  ],
  "Ext.chart.axis.Numeric": [
    "axis.numeric",
    "axis.radial"
  ],
  "Ext.chart.axis.Time": [
    "axis.time"
  ],
  "Ext.chart.axis.layout.CombineDuplicate": [
    "axisLayout.combineDuplicate"
  ],
  "Ext.chart.axis.layout.Continuous": [
    "axisLayout.continuous"
  ],
  "Ext.chart.axis.layout.Discrete": [
    "axisLayout.discrete"
  ],
  "Ext.chart.axis.layout.Layout": [],
  "Ext.chart.axis.segmenter.Names": [
    "segmenter.names"
  ],
  "Ext.chart.axis.segmenter.Numeric": [
    "segmenter.numeric"
  ],
  "Ext.chart.axis.segmenter.Segmenter": [],
  "Ext.chart.axis.segmenter.Time": [
    "segmenter.time"
  ],
  "Ext.chart.axis.sprite.Axis": [],
  "Ext.chart.grid.CircularGrid": [
    "grid.circular"
  ],
  "Ext.chart.grid.HorizontalGrid": [
    "grid.horizontal"
  ],
  "Ext.chart.grid.RadialGrid": [
    "grid.radial"
  ],
  "Ext.chart.grid.VerticalGrid": [
    "grid.vertical"
  ],
  "Ext.chart.interactions.Abstract": [
    "widget.interaction"
  ],
  "Ext.chart.interactions.CrossZoom": [
    "interaction.crosszoom"
  ],
  "Ext.chart.interactions.Crosshair": [
    "interaction.crosshair"
  ],
  "Ext.chart.interactions.ItemHighlight": [
    "interaction.itemhighlight"
  ],
  "Ext.chart.interactions.ItemInfo": [
    "interaction.iteminfo"
  ],
  "Ext.chart.interactions.PanZoom": [
    "interaction.panzoom"
  ],
  "Ext.chart.interactions.Rotate": [
    "interaction.rotate"
  ],
  "Ext.chart.interactions.RotatePie3D": [
    "interaction.rotatePie3d"
  ],
  "Ext.chart.label.Callout": [],
  "Ext.chart.label.Label": [],
  "Ext.chart.overrides.AbstractChart": [],
  "Ext.chart.series.Area": [
    "series.area"
  ],
  "Ext.chart.series.Bar": [
    "series.bar"
  ],
  "Ext.chart.series.CandleStick": [
    "series.candlestick"
  ],
  "Ext.chart.series.Cartesian": [],
  "Ext.chart.series.Gauge": [
    "series.gauge"
  ],
  "Ext.chart.series.ItemPublisher": [],
  "Ext.chart.series.Line": [
    "series.line"
  ],
  "Ext.chart.series.Pie": [
    "series.pie"
  ],
  "Ext.chart.series.Pie3D": [
    "series.pie3d"
  ],
  "Ext.chart.series.Polar": [],
  "Ext.chart.series.Radar": [
    "series.radar"
  ],
  "Ext.chart.series.Scatter": [
    "series.scatter"
  ],
  "Ext.chart.series.Series": [],
  "Ext.chart.series.StackedCartesian": [],
  "Ext.chart.series.sprite.Aggregative": [],
  "Ext.chart.series.sprite.Area": [
    "sprite.areaSeries"
  ],
  "Ext.chart.series.sprite.Bar": [
    "sprite.barSeries"
  ],
  "Ext.chart.series.sprite.CandleStick": [
    "sprite.candlestickSeries"
  ],
  "Ext.chart.series.sprite.Cartesian": [],
  "Ext.chart.series.sprite.Line": [
    "sprite.lineSeries"
  ],
  "Ext.chart.series.sprite.Pie3DPart": [
    "sprite.pie3dPart"
  ],
  "Ext.chart.series.sprite.PieSlice": [
    "sprite.pieslice"
  ],
  "Ext.chart.series.sprite.Polar": [],
  "Ext.chart.series.sprite.Radar": [
    "sprite.radar"
  ],
  "Ext.chart.series.sprite.Scatter": [
    "sprite.scatterSeries"
  ],
  "Ext.chart.series.sprite.StackedCartesian": [],
  "Ext.chart.theme.Base": [],
  "Ext.chart.theme.CustomCharts": [],
  "Ext.chart.theme.Theme": [],
  "Ext.container.ButtonGroup": [
    "widget.buttongroup"
  ],
  "Ext.container.Container": [
    "widget.container"
  ],
  "Ext.container.DockingContainer": [],
  "Ext.container.Monitor": [],
  "Ext.container.Viewport": [
    "widget.viewport"
  ],
  "Ext.dashboard.Column": [
    "widget.dashboard-column"
  ],
  "Ext.dashboard.Dashboard": [
    "widget.dashboard"
  ],
  "Ext.dashboard.DropZone": [],
  "Ext.dashboard.Panel": [
    "widget.dashboard-panel"
  ],
  "Ext.dashboard.Part": [
    "part.part"
  ],
  "Ext.data.AbstractStore": [],
  "Ext.data.ArrayStore": [
    "store.array"
  ],
  "Ext.data.Batch": [],
  "Ext.data.BufferedStore": [
    "store.buffered"
  ],
  "Ext.data.ChainedStore": [
    "store.chained"
  ],
  "Ext.data.Connection": [],
  "Ext.data.DirectStore": [
    "store.direct"
  ],
  "Ext.data.Error": [],
  "Ext.data.ErrorCollection": [],
  "Ext.data.JsonP": [],
  "Ext.data.JsonPStore": [
    "store.jsonp"
  ],
  "Ext.data.JsonStore": [
    "store.json"
  ],
  "Ext.data.LocalStore": [],
  "Ext.data.Model": [],
  "Ext.data.ModelManager": [],
  "Ext.data.NodeInterface": [],
  "Ext.data.NodeStore": [
    "store.node"
  ],
  "Ext.data.PageMap": [],
  "Ext.data.ProxyStore": [],
  "Ext.data.Request": [],
  "Ext.data.ResultSet": [],
  "Ext.data.Session": [],
  "Ext.data.SortTypes": [],
  "Ext.data.Store": [
    "store.store"
  ],
  "Ext.data.StoreManager": [],
  "Ext.data.TreeModel": [],
  "Ext.data.TreeStore": [
    "store.tree"
  ],
  "Ext.data.Types": [],
  "Ext.data.Validation": [],
  "Ext.data.XmlStore": [
    "store.xml"
  ],
  "Ext.data.amf.Encoder": [
    "data.amf.Encoder"
  ],
  "Ext.data.amf.Packet": [],
  "Ext.data.amf.Proxy": [
    "proxy.amf"
  ],
  "Ext.data.amf.Reader": [
    "reader.amf"
  ],
  "Ext.data.amf.RemotingMessage": [
    "data.amf.remotingmessage"
  ],
  "Ext.data.amf.XmlDecoder": [
    "data.amf.xmldecoder"
  ],
  "Ext.data.amf.XmlEncoder": [
    "data.amf.xmlencoder"
  ],
  "Ext.data.field.Boolean": [
    "data.field.bool",
    "data.field.boolean"
  ],
  "Ext.data.field.Date": [
    "data.field.date"
  ],
  "Ext.data.field.Field": [
    "data.field.auto"
  ],
  "Ext.data.field.Integer": [
    "data.field.int",
    "data.field.integer"
  ],
  "Ext.data.field.Number": [
    "data.field.float",
    "data.field.number"
  ],
  "Ext.data.field.String": [
    "data.field.string"
  ],
  "Ext.data.flash.BinaryXhr": [],
  "Ext.data.identifier.Generator": [
    "data.identifier.default"
  ],
  "Ext.data.identifier.Negative": [
    "data.identifier.negative"
  ],
  "Ext.data.identifier.Sequential": [
    "data.identifier.sequential"
  ],
  "Ext.data.identifier.Uuid": [
    "data.identifier.uuid"
  ],
  "Ext.data.matrix.Matrix": [],
  "Ext.data.matrix.Side": [],
  "Ext.data.matrix.Slice": [],
  "Ext.data.operation.Create": [
    "data.operation.create"
  ],
  "Ext.data.operation.Destroy": [
    "data.operation.destroy"
  ],
  "Ext.data.operation.Operation": [],
  "Ext.data.operation.Read": [
    "data.operation.read"
  ],
  "Ext.data.operation.Update": [
    "data.operation.update"
  ],
  "Ext.data.proxy.Ajax": [
    "proxy.ajax"
  ],
  "Ext.data.proxy.Client": [],
  "Ext.data.proxy.Direct": [
    "proxy.direct"
  ],
  "Ext.data.proxy.JsonP": [
    "proxy.jsonp",
    "proxy.scripttag"
  ],
  "Ext.data.proxy.LocalStorage": [
    "proxy.localstorage"
  ],
  "Ext.data.proxy.Memory": [
    "proxy.memory"
  ],
  "Ext.data.proxy.Proxy": [
    "proxy.proxy"
  ],
  "Ext.data.proxy.Rest": [
    "proxy.rest"
  ],
  "Ext.data.proxy.Server": [
    "proxy.server"
  ],
  "Ext.data.proxy.SessionStorage": [
    "proxy.sessionstorage"
  ],
  "Ext.data.proxy.Sql": [
    "proxy.sql"
  ],
  "Ext.data.proxy.WebStorage": [],
  "Ext.data.reader.Array": [
    "reader.array"
  ],
  "Ext.data.reader.Json": [
    "reader.json"
  ],
  "Ext.data.reader.Reader": [
    "reader.base"
  ],
  "Ext.data.reader.Xml": [
    "reader.xml"
  ],
  "Ext.data.schema.Association": [],
  "Ext.data.schema.ManyToMany": [],
  "Ext.data.schema.ManyToOne": [],
  "Ext.data.schema.Namer": [
    "namer.default"
  ],
  "Ext.data.schema.OneToOne": [],
  "Ext.data.schema.Role": [],
  "Ext.data.schema.Schema": [
    "schema.default"
  ],
  "Ext.data.session.BatchVisitor": [],
  "Ext.data.session.ChangesVisitor": [],
  "Ext.data.session.ChildChangesVisitor": [],
  "Ext.data.soap.Proxy": [
    "proxy.soap"
  ],
  "Ext.data.soap.Reader": [
    "reader.soap"
  ],
  "Ext.data.validator.Bound": [
    "data.validator.bound"
  ],
  "Ext.data.validator.Email": [
    "data.validator.email"
  ],
  "Ext.data.validator.Exclusion": [
    "data.validator.exclusion"
  ],
  "Ext.data.validator.Format": [
    "data.validator.format"
  ],
  "Ext.data.validator.Inclusion": [
    "data.validator.inclusion"
  ],
  "Ext.data.validator.Length": [
    "data.validator.length"
  ],
  "Ext.data.validator.List": [
    "data.validator.list"
  ],
  "Ext.data.validator.Presence": [
    "data.validator.presence"
  ],
  "Ext.data.validator.Range": [
    "data.validator.range"
  ],
  "Ext.data.validator.Validator": [
    "data.validator.base"
  ],
  "Ext.data.writer.Json": [
    "writer.json"
  ],
  "Ext.data.writer.Writer": [
    "writer.base"
  ],
  "Ext.data.writer.Xml": [
    "writer.xml"
  ],
  "Ext.dd.DD": [],
  "Ext.dd.DDProxy": [],
  "Ext.dd.DDTarget": [],
  "Ext.dd.DragDrop": [],
  "Ext.dd.DragDropManager": [],
  "Ext.dd.DragSource": [],
  "Ext.dd.DragTracker": [],
  "Ext.dd.DragZone": [],
  "Ext.dd.DropTarget": [],
  "Ext.dd.DropZone": [],
  "Ext.dd.Registry": [],
  "Ext.dd.ScrollManager": [],
  "Ext.dd.StatusProxy": [],
  "Ext.direct.AmfRemotingProvider": [
    "direct.amfremotingprovider"
  ],
  "Ext.direct.Event": [
    "direct.event"
  ],
  "Ext.direct.ExceptionEvent": [
    "direct.exception"
  ],
  "Ext.direct.JsonProvider": [
    "direct.jsonprovider"
  ],
  "Ext.direct.Manager": [],
  "Ext.direct.PollingProvider": [
    "direct.pollingprovider"
  ],
  "Ext.direct.Provider": [
    "direct.provider"
  ],
  "Ext.direct.RemotingEvent": [
    "direct.rpc"
  ],
  "Ext.direct.RemotingMethod": [],
  "Ext.direct.RemotingProvider": [
    "direct.remotingprovider"
  ],
  "Ext.direct.Transaction": [
    "direct.transaction"
  ],
  "Ext.dom.ButtonElement": [],
  "Ext.dom.CompositeElement": [],
  "Ext.dom.CompositeElementLite": [],
  "Ext.dom.Element": [],
  "Ext.dom.Fly": [],
  "Ext.dom.GarbageCollector": [],
  "Ext.dom.Layer": [],
  "Ext.dom.Query": [],
  "Ext.draw.Animator": [],
  "Ext.draw.Color": [],
  "Ext.draw.Container": [
    "widget.draw"
  ],
  "Ext.draw.ContainerBase": [],
  "Ext.draw.Draw": [],
  "Ext.draw.LimitedCache": [],
  "Ext.draw.Matrix": [],
  "Ext.draw.Path": [],
  "Ext.draw.SegmentTree": [],
  "Ext.draw.Solver": [],
  "Ext.draw.Surface": [
    "widget.surface"
  ],
  "Ext.draw.SurfaceBase": [],
  "Ext.draw.TextMeasurer": [],
  "Ext.draw.TimingFunctions": [],
  "Ext.draw.engine.Canvas": [],
  "Ext.draw.engine.Svg": [],
  "Ext.draw.engine.SvgContext": [],
  "Ext.draw.engine.SvgContext.Gradient": [],
  "Ext.draw.gradient.Gradient": [],
  "Ext.draw.gradient.GradientDefinition": [],
  "Ext.draw.gradient.Linear": [],
  "Ext.draw.gradient.Radial": [],
  "Ext.draw.modifier.Animation": [
    "modifier.animation"
  ],
  "Ext.draw.modifier.Highlight": [
    "modifier.highlight"
  ],
  "Ext.draw.modifier.Modifier": [],
  "Ext.draw.modifier.Target": [
    "modifier.target"
  ],
  "Ext.draw.sprite.AnimationParser": [],
  "Ext.draw.sprite.Arc": [
    "sprite.arc"
  ],
  "Ext.draw.sprite.AttributeDefinition": [],
  "Ext.draw.sprite.AttributeParser": [],
  "Ext.draw.sprite.Circle": [
    "sprite.circle"
  ],
  "Ext.draw.sprite.Composite": [
    "sprite.composite"
  ],
  "Ext.draw.sprite.Ellipse": [
    "sprite.ellipse"
  ],
  "Ext.draw.sprite.EllipticalArc": [
    "sprite.ellipticalArc"
  ],
  "Ext.draw.sprite.Image": [
    "sprite.image"
  ],
  "Ext.draw.sprite.Instancing": [
    "sprite.instancing"
  ],
  "Ext.draw.sprite.Line": [
    "sprite.line"
  ],
  "Ext.draw.sprite.Path": [
    "Ext.draw.Sprite",
    "sprite.path"
  ],
  "Ext.draw.sprite.Rect": [
    "sprite.rect"
  ],
  "Ext.draw.sprite.Sector": [
    "sprite.sector"
  ],
  "Ext.draw.sprite.Sprite": [
    "sprite.sprite"
  ],
  "Ext.draw.sprite.Text": [
    "sprite.text"
  ],
  "Ext.event.Controller": [],
  "Ext.event.Dispatcher": [],
  "Ext.event.Event": [],
  "Ext.event.ListenerStack": [],
  "Ext.event.gesture.DoubleTap": [],
  "Ext.event.gesture.Drag": [],
  "Ext.event.gesture.EdgeSwipe": [],
  "Ext.event.gesture.LongPress": [],
  "Ext.event.gesture.MultiTouch": [],
  "Ext.event.gesture.Pinch": [],
  "Ext.event.gesture.Recognizer": [],
  "Ext.event.gesture.Rotate": [],
  "Ext.event.gesture.SingleTouch": [],
  "Ext.event.gesture.Swipe": [],
  "Ext.event.gesture.Tap": [],
  "Ext.event.publisher.Dom": [],
  "Ext.event.publisher.ElementPaint": [],
  "Ext.event.publisher.ElementSize": [],
  "Ext.event.publisher.Gesture": [],
  "Ext.event.publisher.Publisher": [],
  "Ext.flash.Component": [
    "widget.flash"
  ],
  "Ext.form.Basic": [],
  "Ext.form.CheckboxGroup": [
    "widget.checkboxgroup"
  ],
  "Ext.form.CheckboxManager": [],
  "Ext.form.FieldAncestor": [],
  "Ext.form.FieldContainer": [
    "widget.fieldcontainer"
  ],
  "Ext.form.FieldSet": [
    "widget.fieldset"
  ],
  "Ext.form.Label": [
    "widget.label"
  ],
  "Ext.form.Labelable": [],
  "Ext.form.Panel": [
    "widget.form"
  ],
  "Ext.form.RadioGroup": [
    "widget.radiogroup"
  ],
  "Ext.form.RadioManager": [],
  "Ext.form.action.Action": [],
  "Ext.form.action.DirectLoad": [
    "formaction.directload"
  ],
  "Ext.form.action.DirectSubmit": [
    "formaction.directsubmit"
  ],
  "Ext.form.action.Load": [
    "formaction.load"
  ],
  "Ext.form.action.StandardSubmit": [
    "formaction.standardsubmit"
  ],
  "Ext.form.action.Submit": [
    "formaction.submit"
  ],
  "Ext.form.field.Base": [
    "widget.field"
  ],
  "Ext.form.field.Checkbox": [
    "widget.checkbox",
    "widget.checkboxfield"
  ],
  "Ext.form.field.ComboBox": [
    "widget.combo",
    "widget.combobox"
  ],
  "Ext.form.field.Date": [
    "widget.datefield"
  ],
  "Ext.form.field.Display": [
    "widget.displayfield"
  ],
  "Ext.form.field.Field": [],
  "Ext.form.field.File": [
    "widget.filefield",
    "widget.fileuploadfield"
  ],
  "Ext.form.field.FileButton": [
    "widget.filebutton"
  ],
  "Ext.form.field.Hidden": [
    "widget.hidden",
    "widget.hiddenfield"
  ],
  "Ext.form.field.HtmlEditor": [
    "widget.htmleditor"
  ],
  "Ext.form.field.Number": [
    "widget.numberfield"
  ],
  "Ext.form.field.Picker": [
    "widget.pickerfield"
  ],
  "Ext.form.field.Radio": [
    "widget.radio",
    "widget.radiofield"
  ],
  "Ext.form.field.Spinner": [
    "widget.spinnerfield"
  ],
  "Ext.form.field.Tag": [
    "widget.tagfield"
  ],
  "Ext.form.field.Text": [
    "widget.textfield"
  ],
  "Ext.form.field.TextArea": [
    "widget.textarea",
    "widget.textareafield"
  ],
  "Ext.form.field.Time": [
    "widget.timefield"
  ],
  "Ext.form.field.Trigger": [
    "widget.trigger",
    "widget.triggerfield"
  ],
  "Ext.form.field.VTypes": [],
  "Ext.form.trigger.Component": [
    "trigger.component"
  ],
  "Ext.form.trigger.Spinner": [
    "trigger.spinner"
  ],
  "Ext.form.trigger.Trigger": [
    "trigger.trigger"
  ],
  "Ext.fx.Anim": [],
  "Ext.fx.Animation": [],
  "Ext.fx.Animator": [],
  "Ext.fx.CubicBezier": [],
  "Ext.fx.DrawPath": [],
  "Ext.fx.Easing": [],
  "Ext.fx.Manager": [],
  "Ext.fx.PropertyHandler": [],
  "Ext.fx.Queue": [],
  "Ext.fx.Runner": [],
  "Ext.fx.State": [],
  "Ext.fx.animation.Abstract": [],
  "Ext.fx.animation.Cube": [
    "animation.cube"
  ],
  "Ext.fx.animation.Fade": [
    "animation.fade",
    "animation.fadeIn"
  ],
  "Ext.fx.animation.FadeOut": [
    "animation.fadeOut"
  ],
  "Ext.fx.animation.Flip": [
    "animation.flip"
  ],
  "Ext.fx.animation.Pop": [
    "animation.pop",
    "animation.popIn"
  ],
  "Ext.fx.animation.PopOut": [
    "animation.popOut"
  ],
  "Ext.fx.animation.Slide": [
    "animation.slide",
    "animation.slideIn"
  ],
  "Ext.fx.animation.SlideOut": [
    "animation.slideOut"
  ],
  "Ext.fx.animation.Wipe": [],
  "Ext.fx.animation.WipeOut": [],
  "Ext.fx.easing.Abstract": [],
  "Ext.fx.easing.Bounce": [],
  "Ext.fx.easing.BoundMomentum": [],
  "Ext.fx.easing.EaseIn": [
    "easing.ease-in"
  ],
  "Ext.fx.easing.EaseOut": [
    "easing.ease-out"
  ],
  "Ext.fx.easing.Easing": [],
  "Ext.fx.easing.Linear": [
    "easing.linear"
  ],
  "Ext.fx.easing.Momentum": [],
  "Ext.fx.layout.Card": [],
  "Ext.fx.layout.card.Abstract": [],
  "Ext.fx.layout.card.Cover": [
    "fx.layout.card.cover"
  ],
  "Ext.fx.layout.card.Cube": [
    "fx.layout.card.cube"
  ],
  "Ext.fx.layout.card.Fade": [
    "fx.layout.card.fade"
  ],
  "Ext.fx.layout.card.Flip": [
    "fx.layout.card.flip"
  ],
  "Ext.fx.layout.card.Pop": [
    "fx.layout.card.pop"
  ],
  "Ext.fx.layout.card.Reveal": [
    "fx.layout.card.reveal"
  ],
  "Ext.fx.layout.card.Scroll": [
    "fx.layout.card.scroll"
  ],
  "Ext.fx.layout.card.ScrollCover": [
    "fx.layout.card.scrollcover"
  ],
  "Ext.fx.layout.card.ScrollReveal": [
    "fx.layout.card.scrollreveal"
  ],
  "Ext.fx.layout.card.Slide": [
    "fx.layout.card.slide"
  ],
  "Ext.fx.layout.card.Style": [],
  "Ext.fx.runner.Css": [],
  "Ext.fx.runner.CssAnimation": [],
  "Ext.fx.runner.CssTransition": [],
  "Ext.fx.target.Component": [],
  "Ext.fx.target.CompositeElement": [],
  "Ext.fx.target.CompositeElementCSS": [],
  "Ext.fx.target.CompositeSprite": [],
  "Ext.fx.target.Element": [],
  "Ext.fx.target.ElementCSS": [],
  "Ext.fx.target.Sprite": [],
  "Ext.fx.target.Target": [],
  "Ext.grid.CellContext": [],
  "Ext.grid.CellEditor": [],
  "Ext.grid.ColumnComponentLayout": [
    "layout.columncomponent"
  ],
  "Ext.grid.ColumnLayout": [
    "layout.gridcolumn"
  ],
  "Ext.grid.ColumnManager": [],
  "Ext.grid.Panel": [
    "widget.grid",
    "widget.gridpanel"
  ],
  "Ext.grid.RowEditor": [
    "widget.roweditor"
  ],
  "Ext.grid.RowEditorButtons": [
    "widget.roweditorbuttons"
  ],
  "Ext.grid.View": [
    "widget.gridview"
  ],
  "Ext.grid.ViewDropZone": [],
  "Ext.grid.column.Action": [
    "widget.actioncolumn"
  ],
  "Ext.grid.column.Boolean": [
    "widget.booleancolumn"
  ],
  "Ext.grid.column.Check": [
    "widget.checkcolumn"
  ],
  "Ext.grid.column.Column": [
    "widget.gridcolumn"
  ],
  "Ext.grid.column.Date": [
    "widget.datecolumn"
  ],
  "Ext.grid.column.Number": [
    "widget.numbercolumn"
  ],
  "Ext.grid.column.RowNumberer": [
    "widget.rownumberer"
  ],
  "Ext.grid.column.Template": [
    "widget.templatecolumn"
  ],
  "Ext.grid.column.Widget": [
    "widget.widgetcolumn"
  ],
  "Ext.grid.feature.AbstractSummary": [
    "feature.abstractsummary"
  ],
  "Ext.grid.feature.Feature": [
    "feature.feature"
  ],
  "Ext.grid.feature.GroupStore": [],
  "Ext.grid.feature.Grouping": [
    "feature.grouping"
  ],
  "Ext.grid.feature.GroupingSummary": [
    "feature.groupingsummary"
  ],
  "Ext.grid.feature.RowBody": [
    "feature.rowbody"
  ],
  "Ext.grid.feature.Summary": [
    "feature.summary"
  ],
  "Ext.grid.filters.Filters": [
    "plugin.gridfilters"
  ],
  "Ext.grid.filters.filter.Base": [],
  "Ext.grid.filters.filter.Boolean": [
    "grid.filter.boolean"
  ],
  "Ext.grid.filters.filter.Date": [
    "grid.filter.date"
  ],
  "Ext.grid.filters.filter.List": [
    "grid.filter.list"
  ],
  "Ext.grid.filters.filter.Number": [
    "grid.filter.number",
    "grid.filter.numeric"
  ],
  "Ext.grid.filters.filter.SingleFilter": [],
  "Ext.grid.filters.filter.String": [
    "grid.filter.string"
  ],
  "Ext.grid.filters.filter.TriFilter": [],
  "Ext.grid.header.Container": [
    "widget.headercontainer"
  ],
  "Ext.grid.header.DragZone": [],
  "Ext.grid.header.DropZone": [],
  "Ext.grid.locking.HeaderContainer": [],
  "Ext.grid.locking.Lockable": [],
  "Ext.grid.locking.View": [],
  "Ext.grid.plugin.BufferedRenderer": [
    "plugin.bufferedrenderer"
  ],
  "Ext.grid.plugin.CellEditing": [
    "plugin.cellediting"
  ],
  "Ext.grid.plugin.DragDrop": [
    "plugin.gridviewdragdrop"
  ],
  "Ext.grid.plugin.Editing": [
    "editing.editing"
  ],
  "Ext.grid.plugin.HeaderReorderer": [
    "plugin.gridheaderreorderer"
  ],
  "Ext.grid.plugin.HeaderResizer": [
    "plugin.gridheaderresizer"
  ],
  "Ext.grid.plugin.RowEditing": [
    "plugin.rowediting"
  ],
  "Ext.grid.plugin.RowExpander": [
    "plugin.rowexpander"
  ],
  "Ext.grid.property.Grid": [
    "widget.propertygrid"
  ],
  "Ext.grid.property.HeaderContainer": [],
  "Ext.grid.property.Property": [],
  "Ext.grid.property.Reader": [],
  "Ext.grid.property.Store": [],
  "Ext.layout.ClassList": [],
  "Ext.layout.Context": [],
  "Ext.layout.ContextItem": [],
  "Ext.layout.Layout": [],
  "Ext.layout.SizeModel": [],
  "Ext.layout.component.Auto": [
    "layout.autocomponent"
  ],
  "Ext.layout.component.Body": [
    "layout.body"
  ],
  "Ext.layout.component.BoundList": [
    "layout.boundlist"
  ],
  "Ext.layout.component.Component": [],
  "Ext.layout.component.Dock": [
    "layout.dock"
  ],
  "Ext.layout.component.FieldSet": [
    "layout.fieldset"
  ],
  "Ext.layout.component.ProgressBar": [
    "layout.progressbar"
  ],
  "Ext.layout.component.field.FieldContainer": [
    "layout.fieldcontainer"
  ],
  "Ext.layout.component.field.HtmlEditor": [
    "layout.htmleditor"
  ],
  "Ext.layout.container.Absolute": [
    "layout.absolute"
  ],
  "Ext.layout.container.Accordion": [
    "layout.accordion"
  ],
  "Ext.layout.container.Anchor": [
    "layout.anchor"
  ],
  "Ext.layout.container.Auto": [
    "layout.auto",
    "layout.autocontainer"
  ],
  "Ext.layout.container.Border": [
    "layout.border"
  ],
  "Ext.layout.container.Box": [
    "layout.box"
  ],
  "Ext.layout.container.Card": [
    "layout.card"
  ],
  "Ext.layout.container.Center": [
    "layout.center",
    "layout.ux.center"
  ],
  "Ext.layout.container.CheckboxGroup": [
    "layout.checkboxgroup"
  ],
  "Ext.layout.container.Column": [
    "layout.column"
  ],
  "Ext.layout.container.ColumnSplitter": [
    "widget.columnsplitter"
  ],
  "Ext.layout.container.ColumnSplitterTracker": [],
  "Ext.layout.container.Container": [
    "layout.container"
  ],
  "Ext.layout.container.Editor": [
    "layout.editor"
  ],
  "Ext.layout.container.Fit": [
    "layout.fit"
  ],
  "Ext.layout.container.Form": [
    "layout.form"
  ],
  "Ext.layout.container.HBox": [
    "layout.hbox"
  ],
  "Ext.layout.container.SegmentedButton": [
    "layout.segmentedbutton"
  ],
  "Ext.layout.container.SplitColumn": [
    "layout.split-column"
  ],
  "Ext.layout.container.Table": [
    "layout.table"
  ],
  "Ext.layout.container.VBox": [
    "layout.vbox"
  ],
  "Ext.layout.container.border.Region": [],
  "Ext.layout.container.boxOverflow.Menu": [
    "box.overflow.Menu",
    "box.overflow.menu"
  ],
  "Ext.layout.container.boxOverflow.None": [
    "box.overflow.None",
    "box.overflow.none"
  ],
  "Ext.layout.container.boxOverflow.Scroller": [
    "box.overflow.Scroller",
    "box.overflow.scroller"
  ],
  "Ext.locale.container.Viewport": [],
  "Ext.locale.he.Component": [],
  "Ext.locale.he.form.field.Base": [],
  "Ext.locale.he.form.field.ComboBox": [],
  "Ext.locale.he.form.field.Date": [],
  "Ext.locale.he.form.field.HtmlEditor": [],
  "Ext.locale.he.form.field.Number": [],
  "Ext.locale.he.form.field.Text": [],
  "Ext.locale.he.form.field.VTypes": [],
  "Ext.locale.he.grid.GroupingFeature": [],
  "Ext.locale.he.grid.PropertyColumnModel": [],
  "Ext.locale.he.grid.header.Container": [],
  "Ext.locale.he.grid.plugin.DragDrop": [],
  "Ext.locale.he.picker.Date": [],
  "Ext.locale.he.picker.Month": [],
  "Ext.locale.he.tab.Tab": [],
  "Ext.locale.he.toolbar.Paging": [],
  "Ext.locale.he.view.AbstractView": [],
  "Ext.locale.he.view.View": [],
  "Ext.locale.he.window.MessageBox": [],
  "Ext.menu.CheckItem": [
    "widget.menucheckitem"
  ],
  "Ext.menu.ColorPicker": [
    "widget.colormenu"
  ],
  "Ext.menu.DatePicker": [
    "widget.datemenu"
  ],
  "Ext.menu.Item": [
    "widget.menuitem"
  ],
  "Ext.menu.KeyNav": [],
  "Ext.menu.Manager": [],
  "Ext.menu.Menu": [
    "widget.menu"
  ],
  "Ext.menu.Separator": [
    "widget.menuseparator"
  ],
  "Ext.mixin.Bindable": [],
  "Ext.mixin.Factoryable": [],
  "Ext.mixin.Hookable": [],
  "Ext.mixin.Identifiable": [],
  "Ext.mixin.Inheritable": [],
  "Ext.mixin.Mashup": [],
  "Ext.mixin.Observable": [],
  "Ext.mixin.Queryable": [],
  "Ext.mixin.Responsive": [],
  "Ext.mixin.Selectable": [],
  "Ext.mixin.Templatable": [],
  "Ext.mixin.Traversable": [],
  "Ext.overrides.GlobalEvents": [],
  "Ext.overrides.Widget": [],
  "Ext.overrides.app.Application": [],
  "Ext.overrides.dom.Element": [],
  "Ext.overrides.dom.Helper": [],
  "Ext.overrides.event.Event": [],
  "Ext.overrides.event.publisher.Dom": [],
  "Ext.overrides.event.publisher.Gesture": [],
  "Ext.overrides.util.Positionable": [],
  "Ext.panel.Bar": [],
  "Ext.panel.DD": [],
  "Ext.panel.Header": [
    "widget.header"
  ],
  "Ext.panel.Panel": [
    "widget.panel"
  ],
  "Ext.panel.Pinnable": [],
  "Ext.panel.Proxy": [],
  "Ext.panel.Table": [
    "widget.tablepanel"
  ],
  "Ext.panel.Title": [
    "widget.title"
  ],
  "Ext.panel.Tool": [
    "widget.tool"
  ],
  "Ext.perf.Accumulator": [],
  "Ext.perf.Monitor": [],
  "Ext.picker.Color": [
    "widget.colorpicker"
  ],
  "Ext.picker.Date": [
    "widget.datepicker"
  ],
  "Ext.picker.Month": [
    "widget.monthpicker"
  ],
  "Ext.picker.Time": [
    "widget.timepicker"
  ],
  "Ext.plugin.Abstract": [],
  "Ext.plugin.Manager": [],
  "Ext.plugin.Responsive": [
    "plugin.responsive"
  ],
  "Ext.plugin.Viewport": [
    "plugin.viewport"
  ],
  "Ext.resizer.BorderSplitter": [
    "widget.bordersplitter"
  ],
  "Ext.resizer.BorderSplitterTracker": [],
  "Ext.resizer.Handle": [],
  "Ext.resizer.ResizeTracker": [],
  "Ext.resizer.Resizer": [],
  "Ext.resizer.Splitter": [
    "widget.splitter"
  ],
  "Ext.resizer.SplitterTracker": [],
  "Ext.rtl.Component": [],
  "Ext.rtl.button.Button": [],
  "Ext.rtl.button.Segmented": [],
  "Ext.rtl.dd.DD": [],
  "Ext.rtl.dom.Element": [],
  "Ext.rtl.dom.Layer": [],
  "Ext.rtl.event.Event": [],
  "Ext.rtl.form.Labelable": [],
  "Ext.rtl.form.field.Checkbox": [],
  "Ext.rtl.form.field.File": [],
  "Ext.rtl.form.field.FileButton": [],
  "Ext.rtl.form.field.Spinner": [],
  "Ext.rtl.grid.CellEditor": [],
  "Ext.rtl.grid.ColumnLayout": [],
  "Ext.rtl.grid.RowEditor": [],
  "Ext.rtl.grid.column.Column": [],
  "Ext.rtl.grid.feature.Summary": [],
  "Ext.rtl.grid.plugin.HeaderResizer": [],
  "Ext.rtl.grid.plugin.RowEditing": [],
  "Ext.rtl.layout.ContextItem": [],
  "Ext.rtl.layout.component.Dock": [],
  "Ext.rtl.layout.container.Absolute": [],
  "Ext.rtl.layout.container.Border": [],
  "Ext.rtl.layout.container.Box": [],
  "Ext.rtl.layout.container.Column": [],
  "Ext.rtl.layout.container.HBox": [],
  "Ext.rtl.layout.container.VBox": [],
  "Ext.rtl.layout.container.boxOverflow.Menu": [],
  "Ext.rtl.layout.container.boxOverflow.Scroller": [],
  "Ext.rtl.panel.Bar": [],
  "Ext.rtl.panel.Panel": [],
  "Ext.rtl.panel.Title": [],
  "Ext.rtl.resizer.BorderSplitterTracker": [],
  "Ext.rtl.resizer.ResizeTracker": [],
  "Ext.rtl.resizer.SplitterTracker": [],
  "Ext.rtl.scroll.Manager": [],
  "Ext.rtl.scroll.Scroller": [],
  "Ext.rtl.selection.CellModel": [],
  "Ext.rtl.selection.TreeModel": [],
  "Ext.rtl.slider.Multi": [],
  "Ext.rtl.tab.Bar": [],
  "Ext.rtl.tip.QuickTipManager": [],
  "Ext.rtl.tree.Column": [],
  "Ext.rtl.util.Floating": [],
  "Ext.rtl.util.Renderable": [],
  "Ext.rtl.view.Table": [],
  "Ext.scroll.Indicator": [],
  "Ext.scroll.Manager": [],
  "Ext.scroll.Scroller": [],
  "Ext.selection.CellModel": [
    "selection.cellmodel"
  ],
  "Ext.selection.CheckboxModel": [
    "selection.checkboxmodel"
  ],
  "Ext.selection.DataViewModel": [],
  "Ext.selection.Model": [],
  "Ext.selection.RowModel": [
    "selection.rowmodel"
  ],
  "Ext.selection.TreeModel": [
    "selection.treemodel"
  ],
  "Ext.slider.Multi": [
    "widget.multislider"
  ],
  "Ext.slider.Single": [
    "widget.slider",
    "widget.sliderfield"
  ],
  "Ext.slider.Thumb": [],
  "Ext.slider.Tip": [
    "widget.slidertip"
  ],
  "Ext.slider.Widget": [
    "widget.sliderwidget"
  ],
  "Ext.sparkline.Bar": [
    "widget.sparklinebar"
  ],
  "Ext.sparkline.BarBase": [],
  "Ext.sparkline.Base": [],
  "Ext.sparkline.Box": [
    "widget.sparklinebox"
  ],
  "Ext.sparkline.Bullet": [
    "widget.sparklinebullet"
  ],
  "Ext.sparkline.CanvasBase": [],
  "Ext.sparkline.CanvasCanvas": [],
  "Ext.sparkline.Discrete": [
    "widget.sparklinediscrete"
  ],
  "Ext.sparkline.Line": [
    "widget.sparklineline"
  ],
  "Ext.sparkline.Pie": [
    "widget.sparklinepie"
  ],
  "Ext.sparkline.RangeMap": [],
  "Ext.sparkline.Shape": [],
  "Ext.sparkline.TriState": [
    "widget.sparklinetristate"
  ],
  "Ext.sparkline.VmlCanvas": [],
  "Ext.state.CookieProvider": [],
  "Ext.state.LocalStorageProvider": [
    "state.localstorage"
  ],
  "Ext.state.Manager": [],
  "Ext.state.Provider": [],
  "Ext.state.Stateful": [],
  "Ext.tab.Bar": [
    "widget.tabbar"
  ],
  "Ext.tab.Panel": [
    "widget.tabpanel"
  ],
  "Ext.tab.Tab": [
    "widget.tab"
  ],
  "Ext.tip.QuickTip": [
    "widget.quicktip"
  ],
  "Ext.tip.QuickTipManager": [],
  "Ext.tip.Tip": [
    "widget.tip"
  ],
  "Ext.tip.ToolTip": [
    "widget.tooltip"
  ],
  "Ext.toolbar.Breadcrumb": [
    "widget.breadcrumb"
  ],
  "Ext.toolbar.Fill": [
    "widget.tbfill"
  ],
  "Ext.toolbar.Item": [
    "widget.tbitem"
  ],
  "Ext.toolbar.Paging": [
    "widget.pagingtoolbar"
  ],
  "Ext.toolbar.Separator": [
    "widget.tbseparator"
  ],
  "Ext.toolbar.Spacer": [
    "widget.tbspacer"
  ],
  "Ext.toolbar.TextItem": [
    "widget.tbtext"
  ],
  "Ext.toolbar.Toolbar": [
    "widget.toolbar"
  ],
  "Ext.touch.sizing.form.trigger.Spinner": [],
  "Ext.touch.sizing.grid.plugin.RowExpander": [],
  "Ext.touch.sizing.resizer.Splitter": [],
  "Ext.touch.sizing.selection.CheckboxModel": [],
  "Ext.tree.Column": [
    "widget.treecolumn"
  ],
  "Ext.tree.Panel": [
    "widget.treepanel"
  ],
  "Ext.tree.View": [
    "widget.treeview"
  ],
  "Ext.tree.ViewDragZone": [],
  "Ext.tree.ViewDropZone": [],
  "Ext.tree.plugin.TreeViewDragDrop": [
    "plugin.treeviewdragdrop"
  ],
  "Ext.util.AbstractMixedCollection": [],
  "Ext.util.Animate": [],
  "Ext.util.Base64": [],
  "Ext.util.CSS": [],
  "Ext.util.ClickRepeater": [],
  "Ext.util.Collection": [],
  "Ext.util.CollectionKey": [],
  "Ext.util.ComponentDragger": [],
  "Ext.util.Cookies": [],
  "Ext.util.ElementContainer": [],
  "Ext.util.Event": [],
  "Ext.util.Filter": [],
  "Ext.util.FilterCollection": [],
  "Ext.util.Floating": [],
  "Ext.util.Group": [],
  "Ext.util.GroupCollection": [],
  "Ext.util.Grouper": [],
  "Ext.util.HashMap": [],
  "Ext.util.History": [],
  "Ext.util.Inflector": [],
  "Ext.util.KeyMap": [],
  "Ext.util.KeyNav": [],
  "Ext.util.LocalStorage": [],
  "Ext.util.LruCache": [],
  "Ext.util.Memento": [],
  "Ext.util.MixedCollection": [],
  "Ext.util.ObjectTemplate": [],
  "Ext.util.Observable": [],
  "Ext.util.Offset": [],
  "Ext.util.PaintMonitor": [],
  "Ext.util.Point": [],
  "Ext.util.Positionable": [],
  "Ext.util.ProtoElement": [],
  "Ext.util.Queue": [],
  "Ext.util.Region": [],
  "Ext.util.Renderable": [],
  "Ext.util.Schedulable": [],
  "Ext.util.Scheduler": [],
  "Ext.util.SizeMonitor": [],
  "Ext.util.Sortable": [],
  "Ext.util.Sorter": [],
  "Ext.util.SorterCollection": [],
  "Ext.util.StoreHolder": [],
  "Ext.util.TaskManager": [],
  "Ext.util.TaskRunner": [],
  "Ext.util.TextMetrics": [],
  "Ext.util.Translatable": [],
  "Ext.util.XTemplateCompiler": [],
  "Ext.util.XTemplateParser": [],
  "Ext.util.paintmonitor.Abstract": [],
  "Ext.util.paintmonitor.CssAnimation": [],
  "Ext.util.paintmonitor.OverflowChange": [],
  "Ext.util.sizemonitor.Abstract": [],
  "Ext.util.sizemonitor.Default": [],
  "Ext.util.sizemonitor.OverflowChange": [],
  "Ext.util.sizemonitor.Scroll": [],
  "Ext.util.translatable.Abstract": [],
  "Ext.util.translatable.CssPosition": [],
  "Ext.util.translatable.CssTransform": [],
  "Ext.util.translatable.Dom": [],
  "Ext.util.translatable.ScrollParent": [],
  "Ext.util.translatable.ScrollPosition": [],
  "Ext.ux.BoxReorderer": [],
  "Ext.ux.CellDragDrop": [
    "plugin.celldragdrop"
  ],
  "Ext.ux.DataTip": [
    "plugin.datatip"
  ],
  "Ext.ux.DataView.Animated": [],
  "Ext.ux.DataView.DragSelector": [],
  "Ext.ux.DataView.Draggable": [],
  "Ext.ux.DataView.LabelEditor": [],
  "Ext.ux.Explorer": [
    "widget.explorer"
  ],
  "Ext.ux.FieldReplicator": [
    "plugin.fieldreplicator"
  ],
  "Ext.ux.GMapPanel": [
    "widget.gmappanel"
  ],
  "Ext.ux.GroupTabPanel": [
    "widget.grouptabpanel"
  ],
  "Ext.ux.GroupTabRenderer": [
    "plugin.grouptabrenderer"
  ],
  "Ext.ux.IFrame": [
    "widget.uxiframe"
  ],
  "Ext.ux.LiveSearchGridPanel": [],
  "Ext.ux.PreviewPlugin": [
    "plugin.preview"
  ],
  "Ext.ux.ProgressBarPager": [],
  "Ext.ux.RowExpander": [],
  "Ext.ux.SlidingPager": [],
  "Ext.ux.Spotlight": [],
  "Ext.ux.TabCloseMenu": [
    "plugin.tabclosemenu"
  ],
  "Ext.ux.TabReorderer": [
    "plugin.tabreorderer"
  ],
  "Ext.ux.TabScrollerMenu": [
    "plugin.tabscrollermenu"
  ],
  "Ext.ux.ToolbarDroppable": [],
  "Ext.ux.TreePicker": [
    "widget.treepicker"
  ],
  "Ext.ux.ajax.DataSimlet": [],
  "Ext.ux.ajax.JsonSimlet": [
    "simlet.json"
  ],
  "Ext.ux.ajax.SimManager": [],
  "Ext.ux.ajax.SimXhr": [],
  "Ext.ux.ajax.Simlet": [
    "simlet.basic"
  ],
  "Ext.ux.ajax.XmlSimlet": [
    "simlet.xml"
  ],
  "Ext.ux.dashboard.GoogleRssPart": [
    "part.google-rss"
  ],
  "Ext.ux.dashboard.GoogleRssView": [],
  "Ext.ux.data.PagingMemoryProxy": [
    "proxy.pagingmemory"
  ],
  "Ext.ux.dd.CellFieldDropZone": [],
  "Ext.ux.dd.PanelFieldDragZone": [],
  "Ext.ux.desktop.App": [],
  "Ext.ux.desktop.Desktop": [
    "widget.desktop"
  ],
  "Ext.ux.desktop.Module": [],
  "Ext.ux.desktop.ShortcutModel": [],
  "Ext.ux.desktop.StartMenu": [],
  "Ext.ux.desktop.TaskBar": [
    "widget.taskbar"
  ],
  "Ext.ux.desktop.TrayClock": [
    "widget.trayclock"
  ],
  "Ext.ux.desktop.Video": [
    "widget.video"
  ],
  "Ext.ux.desktop.Wallpaper": [
    "widget.wallpaper"
  ],
  "Ext.ux.event.Driver": [],
  "Ext.ux.event.Maker": [],
  "Ext.ux.event.Player": [],
  "Ext.ux.event.Recorder": [],
  "Ext.ux.event.RecorderManager": [
    "widget.eventrecordermanager"
  ],
  "Ext.ux.form.ItemSelector": [
    "widget.itemselector",
    "widget.itemselectorfield"
  ],
  "Ext.ux.form.MultiSelect": [
    "widget.multiselect",
    "widget.multiselectfield"
  ],
  "Ext.ux.form.SearchField": [
    "widget.searchfield"
  ],
  "Ext.ux.google.Api": [],
  "Ext.ux.google.Feeds": [],
  "Ext.ux.grid.SubTable": [
    "plugin.subtable"
  ],
  "Ext.ux.grid.TransformGrid": [],
  "Ext.ux.statusbar.StatusBar": [
    "widget.statusbar"
  ],
  "Ext.ux.statusbar.ValidationStatus": [],
  "Ext.view.AbstractView": [],
  "Ext.view.BoundList": [
    "widget.boundlist"
  ],
  "Ext.view.BoundListKeyNav": [],
  "Ext.view.DragZone": [],
  "Ext.view.DropZone": [],
  "Ext.view.MultiSelector": [
    "widget.multiselector"
  ],
  "Ext.view.MultiSelectorSearch": [
    "widget.multiselector-search"
  ],
  "Ext.view.NodeCache": [],
  "Ext.view.Table": [
    "widget.tableview"
  ],
  "Ext.view.TableLayout": [
    "layout.tableview"
  ],
  "Ext.view.View": [
    "widget.dataview"
  ],
  "Ext.window.MessageBox": [
    "widget.messagebox"
  ],
  "Ext.window.Toast": [
    "widget.toast"
  ],
  "Ext.window.Window": [
    "widget.window"
  ],
  "ExtThemeNeptune.Component": [],
  "ExtThemeNeptune.container.ButtonGroup": [],
  "ExtThemeNeptune.form.field.HtmlEditor": [],
  "ExtThemeNeptune.grid.RowEditor": [],
  "ExtThemeNeptune.grid.column.RowNumberer": [],
  "ExtThemeNeptune.layout.component.Dock": [],
  "ExtThemeNeptune.menu.Menu": [],
  "ExtThemeNeptune.menu.Separator": [],
  "ExtThemeNeptune.panel.Panel": [],
  "ExtThemeNeptune.panel.Table": [],
  "ExtThemeNeptune.picker.Month": [],
  "ExtThemeNeptune.resizer.Splitter": [],
  "ExtThemeNeptune.toolbar.Paging": [],
  "ExtThemeNeptune.toolbar.Toolbar": [],
  "KitchenSink.AdvancedVType": [],
  "KitchenSink.Application": [],
  "KitchenSink.DummyText": [],
  "KitchenSink.controller.Global": [],
  "KitchenSink.data.BigData": [],
  "KitchenSink.data.CountryState": [],
  "KitchenSink.data.Customer": [],
  "KitchenSink.data.DataSets": [],
  "KitchenSink.data.Employees": [],
  "KitchenSink.data.FileTree": [],
  "KitchenSink.data.GeoData": [],
  "KitchenSink.data.Init": [],
  "KitchenSink.data.Order": [],
  "KitchenSink.data.Posts": [],
  "KitchenSink.locale.DummyText": [],
  "KitchenSink.locale.store.Navigation": [],
  "KitchenSink.locale.view.CodePreview": [],
  "KitchenSink.locale.view.CodeRegion": [],
  "KitchenSink.locale.view.DescriptionPanel": [],
  "KitchenSink.locale.view.Header": [],
  "KitchenSink.model.Base": [],
  "KitchenSink.model.Company": [],
  "KitchenSink.model.Customer": [],
  "KitchenSink.model.Order": [],
  "KitchenSink.model.Pangram": [],
  "KitchenSink.model.PartTimeEmployee": [],
  "KitchenSink.model.Person": [],
  "KitchenSink.model.Pie": [],
  "KitchenSink.model.Restaurant": [],
  "KitchenSink.model.SoapBook": [],
  "KitchenSink.model.StandardChart": [],
  "KitchenSink.model.State": [],
  "KitchenSink.model.StockPrice": [],
  "KitchenSink.model.USD2EUR": [],
  "KitchenSink.model.Widget": [],
  "KitchenSink.model.dd.Simple": [],
  "KitchenSink.model.field.PhoneNumber": [
    "data.field.phonenumber"
  ],
  "KitchenSink.model.form.Contact": [],
  "KitchenSink.model.form.FieldError": [],
  "KitchenSink.model.form.ForumPost": [],
  "KitchenSink.model.grid.Book": [],
  "KitchenSink.model.grid.Employee": [],
  "KitchenSink.model.grid.Financial": [],
  "KitchenSink.model.grid.ForumThread": [],
  "KitchenSink.model.grid.Office": [],
  "KitchenSink.model.grid.Plant": [],
  "KitchenSink.model.grid.Product": [],
  "KitchenSink.model.tree.Base": [],
  "KitchenSink.model.tree.City": [],
  "KitchenSink.model.tree.Country": [],
  "KitchenSink.model.tree.Post": [],
  "KitchenSink.model.tree.Task": [],
  "KitchenSink.model.tree.Territory": [],
  "KitchenSink.store.BigData": [],
  "KitchenSink.store.Books": [
    "store.books"
  ],
  "KitchenSink.store.Climate": [
    "store.climate"
  ],
  "KitchenSink.store.Companies": [
    "store.companies"
  ],
  "KitchenSink.store.Countries": [
    "store.countries"
  ],
  "KitchenSink.store.CountryStates": [
    "store.country-states"
  ],
  "KitchenSink.store.DeviceMarketShare": [
    "store.device-market-share"
  ],
  "KitchenSink.store.Files": [],
  "KitchenSink.store.ForumThreads": [
    "store.forumthreads"
  ],
  "KitchenSink.store.Gauges": [
    "store.gauges"
  ],
  "KitchenSink.store.GeoData": [],
  "KitchenSink.store.Navigation": [
    "store.navigation"
  ],
  "KitchenSink.store.Pie": [
    "store.pie"
  ],
  "KitchenSink.store.Plot": [
    "store.plot"
  ],
  "KitchenSink.store.Posts": [],
  "KitchenSink.store.Products": [
    "store.products"
  ],
  "KitchenSink.store.Restaurants": [],
  "KitchenSink.store.StandardCharts": [],
  "KitchenSink.store.States": [
    "store.states"
  ],
  "KitchenSink.store.StockPrice": [
    "store.stock-price"
  ],
  "KitchenSink.store.Thumbnails": [],
  "KitchenSink.store.USD2EUR": [
    "store.USD2EUR"
  ],
  "KitchenSink.store.Widgets": [],
  "KitchenSink.store.form.ForumPosts": [
    "store.form-forum-posts"
  ],
  "KitchenSink.view.CodeContent": [
    "widget.codeContent"
  ],
  "KitchenSink.view.CodePreview": [
    "widget.codePreview"
  ],
  "KitchenSink.view.ContentPanel": [
    "widget.contentPanel"
  ],
  "KitchenSink.view.FreeDrawComponent": [
    "widget.free-paint-component"
  ],
  "KitchenSink.view.Header": [
    "widget.appHeader"
  ],
  "KitchenSink.view.ThemeSwitcher": [
    "widget.themeSwitcher"
  ],
  "KitchenSink.view.binding.Associations": [
    "widget.binding-associations"
  ],
  "KitchenSink.view.binding.ChainedStores": [
    "widget.binding-chained-stores"
  ],
  "KitchenSink.view.binding.ChainedStoresController": [
    "controller.binding.chainedstores"
  ],
  "KitchenSink.view.binding.ChainedStoresModel": [
    "viewmodel.binding.chainedstores"
  ],
  "KitchenSink.view.binding.ChildSession": [
    "widget.binding-child-session"
  ],
  "KitchenSink.view.binding.ChildSessionController": [
    "controller.binding.childsession"
  ],
  "KitchenSink.view.binding.ChildSessionForm": [
    "widget.binding-child-session-form"
  ],
  "KitchenSink.view.binding.ChildSessionModel": [
    "viewmodel.binding.childsession"
  ],
  "KitchenSink.view.binding.ComboChaining": [
    "widget.binding-combo-chaining"
  ],
  "KitchenSink.view.binding.ComponentState": [
    "widget.binding-component-state"
  ],
  "KitchenSink.view.binding.Dynamic": [
    "widget.binding-dynamic"
  ],
  "KitchenSink.view.binding.DynamicController": [
    "controller.binding-dynamic"
  ],
  "KitchenSink.view.binding.FieldValidation": [
    "widget.binding-field-validation"
  ],
  "KitchenSink.view.binding.Formulas": [
    "widget.binding-formulas"
  ],
  "KitchenSink.view.binding.FormulasModel": [
    "viewmodel.binding-formulas"
  ],
  "KitchenSink.view.binding.GridForm": [
    "widget.binding-gridform"
  ],
  "KitchenSink.view.binding.HelloWorld": [
    "widget.binding-hello-world"
  ],
  "KitchenSink.view.binding.ModelValidation": [
    "widget.binding-model-validation"
  ],
  "KitchenSink.view.binding.SliderWidget": [
    "widget.binding-slider-form"
  ],
  "KitchenSink.view.binding.TwoWay": [
    "widget.binding-two-way"
  ],
  "KitchenSink.view.binding.TwoWayFormulas": [
    "widget.binding-two-way-formulas"
  ],
  "KitchenSink.view.binding.TwoWayFormulasModel": [
    "viewmodel.binding-two-way-formulas"
  ],
  "KitchenSink.view.button.BasicButtons": [
    "widget.basic-buttons"
  ],
  "KitchenSink.view.button.LeftTextButtons": [
    "widget.left-text-buttons"
  ],
  "KitchenSink.view.button.LinkButtons": [
    "widget.link-buttons"
  ],
  "KitchenSink.view.button.MenuBottomButtons": [
    "widget.menu-bottom-buttons"
  ],
  "KitchenSink.view.button.MenuButtons": [
    "widget.menu-buttons"
  ],
  "KitchenSink.view.button.RightTextButtons": [
    "widget.right-text-buttons"
  ],
  "KitchenSink.view.button.SegmentedButtons": [
    "widget.segmented-buttons"
  ],
  "KitchenSink.view.button.SplitBottomButtons": [
    "widget.split-bottom-buttons"
  ],
  "KitchenSink.view.button.SplitButtons": [
    "widget.split-buttons"
  ],
  "KitchenSink.view.button.ToggleButtons": [
    "widget.toggle-buttons"
  ],
  "KitchenSink.view.button.VerticalSegmentedButtons": [
    "widget.vertical-segmented-buttons"
  ],
  "KitchenSink.view.charts.area.Area3D": [
    "widget.area-3d"
  ],
  "KitchenSink.view.charts.area.Basic": [
    "widget.area-basic"
  ],
  "KitchenSink.view.charts.area.Stacked": [
    "widget.area-stacked"
  ],
  "KitchenSink.view.charts.area.Stacked100": [
    "widget.area-stacked-100"
  ],
  "KitchenSink.view.charts.bar.Bar3D": [
    "widget.bar-3d"
  ],
  "KitchenSink.view.charts.bar.Basic": [
    "widget.bar-basic"
  ],
  "KitchenSink.view.charts.bar.Stacked": [
    "widget.bar-stacked"
  ],
  "KitchenSink.view.charts.bar.Stacked100": [
    "widget.bar-stacked-100"
  ],
  "KitchenSink.view.charts.bubble.Basic": [
    "widget.basic-bubble"
  ],
  "KitchenSink.view.charts.bubble.Bubble3D": [
    "widget.bubble-3d"
  ],
  "KitchenSink.view.charts.column.Basic": [
    "widget.column-basic"
  ],
  "KitchenSink.view.charts.column.Column3D": [
    "widget.column-3d"
  ],
  "KitchenSink.view.charts.column.MultiAxis": [
    "widget.column-multi-axis"
  ],
  "KitchenSink.view.charts.column.Renderer": [
    "widget.column-renderer"
  ],
  "KitchenSink.view.charts.column.Stacked": [
    "widget.column-stacked"
  ],
  "KitchenSink.view.charts.column.Stacked100": [
    "widget.column-stacked-100"
  ],
  "KitchenSink.view.charts.combination.BindingTabs": [
    "widget.combination-bindingtabs"
  ],
  "KitchenSink.view.charts.combination.CustomTheme": [
    "widget.combination-theme"
  ],
  "KitchenSink.view.charts.combination.Dashboard": [
    "widget.combination-dashboard"
  ],
  "KitchenSink.view.charts.combination.LiveDashboard": [
    "widget.live-dashboard-chart"
  ],
  "KitchenSink.view.charts.combination.Pareto": [
    "widget.combination-pareto"
  ],
  "KitchenSink.view.charts.donut.Exploded": [
    "widget.exploded-donut"
  ],
  "KitchenSink.view.charts.financial.Candlestick": [
    "widget.financial-candlestick"
  ],
  "KitchenSink.view.charts.financial.OHLC": [
    "widget.financial-ohlc"
  ],
  "KitchenSink.view.charts.gauge.Basic": [
    "widget.gauge-basic"
  ],
  "KitchenSink.view.charts.gauge.BasicModel": [
    "viewmodel.gauge-basic"
  ],
  "KitchenSink.view.charts.line.Basic": [
    "widget.line-basic"
  ],
  "KitchenSink.view.charts.line.ImageMarkers": [
    "widget.line-markers"
  ],
  "KitchenSink.view.charts.line.Marked": [
    "widget.line-marked"
  ],
  "KitchenSink.view.charts.line.MarkedSpline": [
    "widget.line-marked-spline"
  ],
  "KitchenSink.view.charts.line.Plot": [
    "widget.line-plot"
  ],
  "KitchenSink.view.charts.line.Spline": [
    "widget.line-spline"
  ],
  "KitchenSink.view.charts.line.Stacked": [
    "widget.stacked-line"
  ],
  "KitchenSink.view.charts.other.Animated": [
    "widget.animated-chart"
  ],
  "KitchenSink.view.charts.other.LiveUpdates": [
    "widget.live-update-chart"
  ],
  "KitchenSink.view.charts.other.Reload": [
    "widget.reload-chart"
  ],
  "KitchenSink.view.charts.other.TipCharts": [
    "widget.tip-chart"
  ],
  "KitchenSink.view.charts.pie.Basic": [
    "widget.pie-basic"
  ],
  "KitchenSink.view.charts.pie.Custom": [
    "widget.pie-custom"
  ],
  "KitchenSink.view.charts.pie.Donut": [
    "widget.pie-donut"
  ],
  "KitchenSink.view.charts.pie.Exploded": [
    "widget.exploded-pie"
  ],
  "KitchenSink.view.charts.pie.Pie3D": [
    "widget.pie-3d"
  ],
  "KitchenSink.view.charts.pie.PieExploded3D": [
    "widget.pie-exploded-3d"
  ],
  "KitchenSink.view.charts.radial.Basic": [
    "widget.radial-basic"
  ],
  "KitchenSink.view.charts.radial.Filled": [
    "widget.radial-filled"
  ],
  "KitchenSink.view.charts.radial.Marked": [
    "widget.radial-marked"
  ],
  "KitchenSink.view.charts.radial.MultiAxis": [
    "widget.radial-multi-axis"
  ],
  "KitchenSink.view.charts.scatter.Basic": [
    "widget.scatter-basic"
  ],
  "KitchenSink.view.charts.scatter.Bubble": [
    "widget.scatter-bubble"
  ],
  "KitchenSink.view.charts.scatter.CustomIcons": [
    "widget.scatter-custom-icons"
  ],
  "KitchenSink.view.charts.touch.ColumnSeries3D": [
    "series.column3d"
  ],
  "KitchenSink.view.charts.touch.ColumnSprite3D": [
    "sprite.columnSeries3d"
  ],
  "KitchenSink.view.charts.touch.CrossZoom": [
    "widget.line-crosszoom"
  ],
  "KitchenSink.view.charts.touch.FreeDraw": [
    "widget.free-paint"
  ],
  "KitchenSink.view.charts.touch.Renderer": [
    "widget.line-renderer"
  ],
  "KitchenSink.view.dataview.MultiSort": [
    "widget.dataview-multisort"
  ],
  "KitchenSink.view.dataview.MultiSortButton": [
    "widget.dataview-multisort-sortbutton"
  ],
  "KitchenSink.view.dd.FieldToGrid": [
    "widget.dd-field-to-grid"
  ],
  "KitchenSink.view.dd.GridToForm": [
    "widget.dd-grid-to-form"
  ],
  "KitchenSink.view.dd.GridToGrid": [
    "widget.dd-grid-to-grid"
  ],
  "KitchenSink.view.enterprise.AmfGrid": [
    "widget.amf-grid"
  ],
  "KitchenSink.view.enterprise.SoapGrid": [
    "widget.soap-grid"
  ],
  "KitchenSink.view.form.AdvancedVTypes": [
    "widget.form-advtypes"
  ],
  "KitchenSink.view.form.AdvancedVTypesController": [
    "controller.form-advtypes"
  ],
  "KitchenSink.view.form.CheckboxGroupController": [
    "controller.form-checkboxgroup"
  ],
  "KitchenSink.view.form.CheckboxGroupForm": [
    "widget.form-checkboxgroup"
  ],
  "KitchenSink.view.form.Checkout": [
    "widget.form-checkout"
  ],
  "KitchenSink.view.form.Comboboxes": [
    "widget.form-combos"
  ],
  "KitchenSink.view.form.ComboboxesController": [
    "controller.form-combos"
  ],
  "KitchenSink.view.form.ContactForm": [
    "widget.form-contact"
  ],
  "KitchenSink.view.form.ContactFormController": [
    "controller.form-contact"
  ],
  "KitchenSink.view.form.ContactFormWindow": [
    "widget.form-contact-window"
  ],
  "KitchenSink.view.form.CustomErrorHandling": [
    "widget.form-customerrors"
  ],
  "KitchenSink.view.form.CustomErrorHandlingController": [
    "controller.form-customerrors"
  ],
  "KitchenSink.view.form.CustomFields": [
    "widget.form-customfields"
  ],
  "KitchenSink.view.form.Date": [
    "widget.form-date"
  ],
  "KitchenSink.view.form.FieldContainer": [
    "widget.form-fieldcontainer"
  ],
  "KitchenSink.view.form.FieldContainerController": [
    "controller.form-fieldcontainer"
  ],
  "KitchenSink.view.form.FieldReplicator": [
    "widget.form-fieldreplicator"
  ],
  "KitchenSink.view.form.FieldTypes": [
    "widget.form-fieldtypes"
  ],
  "KitchenSink.view.form.FileUploads": [
    "widget.form-fileuploads"
  ],
  "KitchenSink.view.form.FileUploadsController": [
    "controller.form-fileuploads"
  ],
  "KitchenSink.view.form.FormGrid": [
    "widget.form-grid"
  ],
  "KitchenSink.view.form.ForumSearch": [
    "widget.form-forumsearch"
  ],
  "KitchenSink.view.form.HBoxLayoutForm": [
    "widget.form-hboxlayout"
  ],
  "KitchenSink.view.form.LoginForm": [
    "widget.form-login"
  ],
  "KitchenSink.view.form.MultiColumn": [
    "widget.form-multicolumn"
  ],
  "KitchenSink.view.form.Number": [
    "widget.form-number"
  ],
  "KitchenSink.view.form.RadioGroupForm": [
    "widget.form-radiogroup"
  ],
  "KitchenSink.view.form.RegisterForm": [
    "widget.form-register"
  ],
  "KitchenSink.view.form.SliderField": [
    "widget.slider-field"
  ],
  "KitchenSink.view.form.Tag": [
    "widget.form-tag"
  ],
  "KitchenSink.view.form.VBoxLayoutForm": [
    "widget.form-vboxlayout"
  ],
  "KitchenSink.view.form.XmlForm": [
    "widget.form-xml"
  ],
  "KitchenSink.view.form.XmlFormController": [
    "controller.form-xml"
  ],
  "KitchenSink.view.grid.ArrayGrid": [
    "widget.array-grid"
  ],
  "KitchenSink.view.grid.BigData": [
    "widget.big-data-grid"
  ],
  "KitchenSink.view.grid.BigDataController": [
    "controller.bigdata"
  ],
  "KitchenSink.view.grid.CellEditing": [
    "widget.cell-editing"
  ],
  "KitchenSink.view.grid.CustomerGrid": [
    "widget.customer-grid"
  ],
  "KitchenSink.view.grid.GridFiltering": [
    "widget.grid-filtering"
  ],
  "KitchenSink.view.grid.GridPlugins": [
    "widget.grid-plugins"
  ],
  "KitchenSink.view.grid.GroupedGrid": [
    "widget.grouped-grid"
  ],
  "KitchenSink.view.grid.GroupedHeaderGrid": [
    "widget.grouped-header-grid"
  ],
  "KitchenSink.view.grid.LockingGrid": [
    "widget.locking-grid"
  ],
  "KitchenSink.view.grid.MultiSelector": [
    "widget.multi-selector"
  ],
  "KitchenSink.view.grid.MultipleSorting": [
    "widget.multi-sort-grid"
  ],
  "KitchenSink.view.grid.Paging": [
    "widget.paging-grid"
  ],
  "KitchenSink.view.grid.ProgressBarPager": [
    "widget.progress-bar-pager"
  ],
  "KitchenSink.view.grid.PropertyGrid": [
    "widget.property-grid"
  ],
  "KitchenSink.view.grid.Reconfigure": [
    "widget.reconfigure-grid"
  ],
  "KitchenSink.view.grid.RowExpander": [
    "widget.row-expander-grid"
  ],
  "KitchenSink.view.grid.SlidingPager": [
    "widget.sliding-pager"
  ],
  "KitchenSink.view.grid.WidgetGrid": [
    "widget.widget-grid"
  ],
  "KitchenSink.view.grid.XmlGrid": [
    "widget.xml-grid"
  ],
  "KitchenSink.view.layout.Absolute": [
    "widget.layout-absolute"
  ],
  "KitchenSink.view.layout.Accordion": [
    "widget.layout-accordion"
  ],
  "KitchenSink.view.layout.Border": [
    "widget.layout-border"
  ],
  "KitchenSink.view.layout.Card": [
    "widget.layout-card"
  ],
  "KitchenSink.view.layout.CardTabs": [
    "widget.layout-cardtabs"
  ],
  "KitchenSink.view.layout.Center": [
    "widget.layout-center"
  ],
  "KitchenSink.view.layout.Column": [
    "widget.layout-column"
  ],
  "KitchenSink.view.layout.Fit": [
    "widget.layout-fit"
  ],
  "KitchenSink.view.layout.HorizontalBox": [
    "widget.layout-horizontal-box"
  ],
  "KitchenSink.view.layout.Table": [
    "widget.layout-table"
  ],
  "KitchenSink.view.layout.VerticalBox": [
    "widget.layout-vertical-box"
  ],
  "KitchenSink.view.main.Main": [],
  "KitchenSink.view.main.MainController": [
    "controller.main"
  ],
  "KitchenSink.view.main.MainModel": [
    "viewmodel.main"
  ],
  "KitchenSink.view.navigation.Breadcrumb": [
    "widget.navigation-breadcrumb"
  ],
  "KitchenSink.view.navigation.Tree": [
    "widget.navigation-tree"
  ],
  "KitchenSink.view.panel.BasicPanels": [
    "widget.basic-panels"
  ],
  "KitchenSink.view.panel.FramedPanels": [
    "widget.framed-panels"
  ],
  "KitchenSink.view.panel.HeaderPosition": [
    "widget.panel-header-position"
  ],
  "KitchenSink.view.tab.AdvancedTabs": [
    "widget.advanced-tabs"
  ],
  "KitchenSink.view.tab.AdvancedTabsController": [
    "controller.advanced-tabs"
  ],
  "KitchenSink.view.tab.AjaxTabs": [
    "widget.ajax-tabs"
  ],
  "KitchenSink.view.tab.AjaxTabsController": [
    "controller.ajax-tabs"
  ],
  "KitchenSink.view.tab.BasicTabs": [
    "widget.basic-tabs"
  ],
  "KitchenSink.view.tab.FramedTabs": [
    "widget.framed-tabs"
  ],
  "KitchenSink.view.tab.HeaderTabs": [
    "widget.header-tabs"
  ],
  "KitchenSink.view.tab.IconTabs": [
    "widget.icon-tabs"
  ],
  "KitchenSink.view.tab.NavigationTabs": [
    "widget.navigation-tabs"
  ],
  "KitchenSink.view.tab.PlainTabs": [
    "widget.plain-tabs"
  ],
  "KitchenSink.view.tab.ReorderableTabs": [
    "widget.reorderable-tabs"
  ],
  "KitchenSink.view.tab.ReorderableTabsController": [
    "controller.reorderable-tabs"
  ],
  "KitchenSink.view.tab.SideNavigationTabs": [
    "widget.side-navigation-tabs"
  ],
  "KitchenSink.view.tab.TabController": [
    "controller.tab-view"
  ],
  "KitchenSink.view.thumbnails.Thumbnails": [
    "widget.thumbnails"
  ],
  "KitchenSink.view.toolbar.BasicToolbar": [
    "widget.basic-toolbar"
  ],
  "KitchenSink.view.toolbar.Breadcrumb": [
    "widget.breadcrumb-toolbar"
  ],
  "KitchenSink.view.toolbar.DockedToolbars": [
    "widget.docked-toolbars"
  ],
  "KitchenSink.view.tree.BasicTrees": [
    "widget.basic-trees"
  ],
  "KitchenSink.view.tree.CheckTree": [
    "widget.check-tree"
  ],
  "KitchenSink.view.tree.FilteredTree": [
    "widget.filtered-tree"
  ],
  "KitchenSink.view.tree.HeterogeneousTree": [
    "widget.heterogeneous-tree"
  ],
  "KitchenSink.view.tree.Reorder": [
    "widget.tree-reorder"
  ],
  "KitchenSink.view.tree.TreeGrid": [
    "widget.tree-grid"
  ],
  "KitchenSink.view.tree.TwoTrees": [
    "widget.tree-two"
  ],
  "KitchenSink.view.tree.XmlTree": [
    "widget.tree-xml"
  ],
  "KitchenSink.view.window.BasicWindow": [
    "widget.basic-window"
  ],
  "KitchenSink.view.window.MessageBox": [
    "widget.message-box"
  ],
  "KitchenSink.view.window.MessageBoxController": [
    "controller.window-messagebox"
  ]
});
Ext.setVersion("ext", "5.0.0.970");
Ext.setVersion("ext-locale", "5.0.0");
Ext.setVersion("ext-theme-base", "5.0.0");
Ext.setVersion("ext-theme-neptune", "5.0.0");
Ext.setVersion("ext-theme-neptune-touch", "5.0.0");
Ext.setVersion("ext-theme-neutral", "5.0.0");
Ext.setVersion("ext-touch-sizing", "1.0.0");
Ext.setVersion("sencha-amf", "1.0.0");
Ext.setVersion("sencha-charts", "1.0.0");
Ext.setVersion("sencha-core", "5.0.0");
Ext.setVersion("sencha-soap", "5.0.0");


/**
 * This file is generated by Sencha Cmd and should NOT be edited.  It is
 * provided to support globbing requires, custom xtypes, and other
 * metadata-driven class system features
 */

Ext.Loader.loadScriptsSync([
  "../../../../overrides/event/Event.js",
  "../../../../overrides/Positionable.js",
  "../../../../overrides/dom/Helper.js",
  "../../../../overrides/dom/Element.js",
  "../../../../overrides/GlobalEvents.js",
  "../../../../overrides/event/publisher/Dom.js",
  "../../../../overrides/event/publisher/Gesture.js",
  "../../../../overrides/Ext-more.js",
  "../../../../overrides/Widget.js",
  "../../../../packages/ext-theme-neptune/overrides/Component.js",
  "../../../../packages/ext-theme-neptune/overrides/toolbar/Toolbar.js",
  "../../../../packages/ext-touch-sizing/overrides/form/trigger/Spinner.js",
  "../../../../packages/ext-theme-neptune/overrides/toolbar/Paging.js",
  "../../../../packages/ext-theme-neptune/overrides/layout/component/Dock.js",
  "../../../../packages/ext-theme-neptune/overrides/panel/Panel.js",
  "../../../../packages/ext-theme-neptune/overrides/form/field/HtmlEditor.js",
  "../../../../packages/ext-locale/overrides/he/ext-locale-he.js",
  "../../../../overrides/app/Application.js",
  "../../../../packages/ext-theme-neptune/overrides/panel/Table.js",
  "../../../../packages/ext-theme-neptune/overrides/resizer/Splitter.js",
  "../../../../packages/ext-touch-sizing/overrides/resizer/Splitter.js",
  "../../../../packages/ext-theme-neptune/overrides/container/ButtonGroup.js",
  "../../../../packages/ext-locale/overrides/he/container/Viewport.js",
  "../../../../packages/ext-theme-neptune/overrides/picker/Month.js",
  "../../../../packages/ext-theme-neptune/overrides/grid/RowEditor.js",
  "../../../../packages/ext-theme-neptune/overrides/grid/column/RowNumberer.js",
  "../../../../packages/ext-theme-neptune/overrides/menu/Separator.js",
  "../../../../packages/ext-theme-neptune/overrides/menu/Menu.js",
  "../../../../packages/ext-touch-sizing/overrides/grid/plugin/RowExpander.js",
  "../../../../packages/ext-touch-sizing/overrides/selection/CheckboxModel.js",
  "../../../../packages/ext-theme-neptune/overrides/tab/Tab.js",
  "../../../../packages/sencha-charts/overrides/Ext-more.js",
  "../../locale/he/DummyText.js",
  "../../locale/he/view/CodePreview.js",
  "../../locale/he/view/Header.js",
  "../../locale/he/store/Navigation.js",
  "../../locale/he/view/CodeRegion.js",
  "../../locale/he/view/DescriptionPanel.js"
]);




Ext.Boot.loadSync([
    "render.js",
    "../../../../packages/ext-theme-base/sass/example/manifest.js",
    "../../../../packages/ext-theme-base/sass/example/shortcuts.js",
    "custom.js"
]);

        
